Debian Bug report logs - #617759
icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Fri, 11 Mar 2011 07:36:02 UTC

Severity: important

Merged with 626076, 637359, 637960, 638023, 638065, 638307, 638892, 639457, 639746, 639852, 640388, 641831

Found in versions eglibc/2.13-0exp5, eglibc/2.13-7

Fixed in version eglibc/2.13-17

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Fri, 11 Mar 2011 07:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@debian.org>. (Fri, 11 Mar 2011 07:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Fri, 11 Mar 2011 01:28:33 -0600
Package: icedove
Version: 3.1.9-1
Severity: grave

Hi,

Typical experimental system.  Trying to run icedove, I get

 $ icedove; echo $?
 /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
 127

I have no plugins installed.  Any hints for tracking this down?

Jonathan

$ LD_LIBRARY_PATH=/usr/lib/icedove \
  ldd /usr/lib/icedove/components/libdbusservice.so
/usr/bin/ldd: line 161: /lib/ld-linux.so.2: cannot execute binary file
	linux-vdso.so.1 =>  (0x00007fff63bff000)
	libxpcom.so => /usr/lib/icedove/libxpcom.so (0x00007f6a4f8c2000)
	libnspr4.so.0d => /usr/lib/libnspr4.so.0d (0x00007f6a4f676000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00007f6a4f451000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00007f6a4f20d000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f6a4ef05000)
	libc.so.6 => /lib/libc.so.6 (0x00007f6a4eb81000)
	libxpcom_core.so => /usr/lib/icedove/libxpcom_core.so (0x00007f6a4e8be000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f6a4e6a2000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007f6a4e49d000)
	libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007f6a4e24f000)
	libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00007f6a4e04b000)
	librt.so.1 => /lib/librt.so.1 (0x00007f6a4de42000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00007f6a4db58000)
	libm.so.6 => /lib/libm.so.6 (0x00007f6a4d8d6000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f6a4fcd2000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f6a4d6bf000)
	libplds4.so.0d => /usr/lib/libplds4.so.0d (0x00007f6a4d4bc000)
	libplc4.so.0d => /usr/lib/libplc4.so.0d (0x00007f6a4d2b8000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007f6a4cc8f000)
	libpcre.so.3 => /lib/libpcre.so.3 (0x00007f6a4ca54000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00007f6a4c7a2000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007f6a4c596000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f6a4c258000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007f6a4c055000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007f6a4be53000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007f6a4bc4d000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007f6a4ba2b000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007f6a4b72d000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007f6a4b510000)
	libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007f6a4b1ea000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007f6a4afc0000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007f6a4ad74000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f6a4aada000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f6a4a8a5000)
	libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007f6a4a6a2000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f6a4a48f000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007f6a4a285000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007f6a4a083000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x00007f6a49e73000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007f6a49c6b000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007f6a49a61000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f6a49848000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f6a4962c000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007f6a493b7000)
	libEGL.so.1 => /usr/lib/libEGL.so.1 (0x00007f6a491a7000)
	libpng12.so.0 => /lib/libpng12.so.0 (0x00007f6a48f81000)
	libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007f6a48d7e000)
	libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007f6a48b76000)
	libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f6a488ff000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00007f6a486e8000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x00007f6a484ca000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f6a482a1000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f6a4809e000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f6a47e98000)
	libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007f6a47c93000)
	libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007f6a47a88000)
$ dpkg-query -W icedove \
	libnspr4-0d libdbus-glib-1-2 libdbus-1-3 libstdc++6 libc6 \
	libglib2.0-0 libgcc1 libgtk2.0-0 libpcre3 libpango1.0-0 \
	libx11-6 libxcomposite1 libxdamage1 libxfixes3 libatk1.0-0 \
	libcairo2 libgdk-pixbuf2.0-0 libfreetype6 libfontconfig1 \
	libxext6 libxrender1 libxinerama1 libxi6 libxrandr2 \
	libxcursor1 zlib1g libxcb1 libpixman-1-0 libegl1-mesa \
	libpng12-0 libxcb-shm0 libxcb-render0 libgl1-mesa-glx \
	libselinux1 libexpat1 libxau6 libxdmcp6 libxxf86vm1 \
	libdrm2
icedove	3.1.9-1
libatk1.0-0	1.32.0-2
libc6	2.13-0exp3
libcairo2	1.10.2-4
libdbus-1-3	1.4.6-1
libdbus-glib-1-2	0.88-2.1
libdrm2	2.4.24-1
libegl1-mesa	7.10-4
libexpat1	2.0.1-7
libfontconfig1	2.8.0-2.1
libfreetype6	2.4.4-1
libgcc1	1:4.6-20110227-1
libgdk-pixbuf2.0-0	2.23.0-2
libgl1-mesa-glx	7.10-4
libglib2.0-0	2.28.1-1+b1
libgtk2.0-0	2.24.1-1
libnspr4-0d	4.8.7-2
libpango1.0-0	1.28.3-4
libpcre3	8.12-3
libpixman-1-0	0.21.6-1
libpng12-0	1.2.44-1
libselinux1	2.0.96-1
libstdc++6	4.6-20110227-1
libx11-6	2:1.4.1-5
libxau6	1:1.0.6-1
libxcb-render0	1.7-2
libxcb-shm0	1.7-2
libxcb1	1.7-2
libxcomposite1	1:0.4.3-1
libxcursor1	1:1.1.11-1
libxdamage1	1:1.1.3-1
libxdmcp6	1:1.1.0-1
libxext6	2:1.2.0-2
libxfixes3	1:5.0-1
libxi6	2:1.4.1-1
libxinerama1	2:1.1.1-1
libxrandr2	2:1.3.1-1
libxrender1	1:0.9.6-1
libxxf86vm1	1:1.1.1-1
zlib1g	1:1.2.5.dfsg-1




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Fri, 11 Mar 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Fri, 11 Mar 2011 08:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 617759@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Fri, 11 Mar 2011 09:06:35 +0100
Hi,

On Fri, Mar 11, 2011 at 01:28:33AM -0600, Jonathan Nieder wrote:
> Typical experimental system.  Trying to run icedove, I get
> 
>  $ icedove; echo $?
>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>  127
> 
> I have no plugins installed.  Any hints for tracking this down?

you are running Icedove on which architecture?

Cheers,
Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Fri, 11 Mar 2011 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Fri, 11 Mar 2011 08:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christoph Goehre <chris@sigxcpu.org>
Cc: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Fri, 11 Mar 2011 02:14:20 -0600
Christoph Goehre wrote:
> On Fri, Mar 11, 2011 at 01:28:33AM -0600, Jonathan Nieder wrote:

>>  $ icedove; echo $?
>>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>>  127
>>
>> I have no plugins installed.  Any hints for tracking this down?
>
> you are running Icedove on which architecture?

amd64.




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Wed, 23 Mar 2011 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 23 Mar 2011 08:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 617759@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Wed, 23 Mar 2011 09:50:50 +0100
Hi Jonathan,
On Fri, Mar 11, 2011 at 01:28:33AM -0600, Jonathan Nieder wrote:
> Package: icedove
> Version: 3.1.9-1
> Severity: grave
> 
> Hi,
> 
> Typical experimental system.  Trying to run icedove, I get
> 
>  $ icedove; echo $?
>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>  127

Could you try:

$ readelf -a /usr/lib/icedove/libxpcom.so | grep NS_Alloc
000038c4  00000201 R_386_32          00000000   NS_Alloc_P
00003a28  00000207 R_386_JUMP_SLOT   00000000   NS_Alloc_P
     2: 00000000     0 FUNC    GLOBAL DEFAULT  UND NS_Alloc_P
   109: 000021db    31 FUNC    GLOBAL DEFAULT   12 NS_Alloc

The output should look similar to the above.

Did this happen after an update or is this a fresh install?
Cheers,
 -- Guido

> 
> I have no plugins installed.  Any hints for tracking this down?
> 
> Jonathan
> 
> $ LD_LIBRARY_PATH=/usr/lib/icedove \
>   ldd /usr/lib/icedove/components/libdbusservice.so
> /usr/bin/ldd: line 161: /lib/ld-linux.so.2: cannot execute binary file
> 	linux-vdso.so.1 =>  (0x00007fff63bff000)
> 	libxpcom.so => /usr/lib/icedove/libxpcom.so (0x00007f6a4f8c2000)
> 	libnspr4.so.0d => /usr/lib/libnspr4.so.0d (0x00007f6a4f676000)
> 	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00007f6a4f451000)
> 	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00007f6a4f20d000)
> 	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f6a4ef05000)
> 	libc.so.6 => /lib/libc.so.6 (0x00007f6a4eb81000)
> 	libxpcom_core.so => /usr/lib/icedove/libxpcom_core.so (0x00007f6a4e8be000)
> 	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f6a4e6a2000)
> 	libdl.so.2 => /lib/libdl.so.2 (0x00007f6a4e49d000)
> 	libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007f6a4e24f000)
> 	libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00007f6a4e04b000)
> 	librt.so.1 => /lib/librt.so.1 (0x00007f6a4de42000)
> 	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00007f6a4db58000)
> 	libm.so.6 => /lib/libm.so.6 (0x00007f6a4d8d6000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007f6a4fcd2000)
> 	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f6a4d6bf000)
> 	libplds4.so.0d => /usr/lib/libplds4.so.0d (0x00007f6a4d4bc000)
> 	libplc4.so.0d => /usr/lib/libplc4.so.0d (0x00007f6a4d2b8000)
> 	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007f6a4cc8f000)
> 	libpcre.so.3 => /lib/libpcre.so.3 (0x00007f6a4ca54000)
> 	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00007f6a4c7a2000)
> 	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007f6a4c596000)
> 	libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f6a4c258000)
> 	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007f6a4c055000)
> 	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007f6a4be53000)
> 	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007f6a4bc4d000)
> 	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007f6a4ba2b000)
> 	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007f6a4b72d000)
> 	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007f6a4b510000)
> 	libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007f6a4b1ea000)
> 	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007f6a4afc0000)
> 	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007f6a4ad74000)
> 	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f6a4aada000)
> 	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f6a4a8a5000)
> 	libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007f6a4a6a2000)
> 	libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f6a4a48f000)
> 	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007f6a4a285000)
> 	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007f6a4a083000)
> 	libXi.so.6 => /usr/lib/libXi.so.6 (0x00007f6a49e73000)
> 	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007f6a49c6b000)
> 	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007f6a49a61000)
> 	libz.so.1 => /usr/lib/libz.so.1 (0x00007f6a49848000)
> 	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f6a4962c000)
> 	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007f6a493b7000)
> 	libEGL.so.1 => /usr/lib/libEGL.so.1 (0x00007f6a491a7000)
> 	libpng12.so.0 => /lib/libpng12.so.0 (0x00007f6a48f81000)
> 	libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007f6a48d7e000)
> 	libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007f6a48b76000)
> 	libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f6a488ff000)
> 	libresolv.so.2 => /lib/libresolv.so.2 (0x00007f6a486e8000)
> 	libselinux.so.1 => /lib/libselinux.so.1 (0x00007f6a484ca000)
> 	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f6a482a1000)
> 	libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f6a4809e000)
> 	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f6a47e98000)
> 	libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007f6a47c93000)
> 	libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007f6a47a88000)
> $ dpkg-query -W icedove \
> 	libnspr4-0d libdbus-glib-1-2 libdbus-1-3 libstdc++6 libc6 \
> 	libglib2.0-0 libgcc1 libgtk2.0-0 libpcre3 libpango1.0-0 \
> 	libx11-6 libxcomposite1 libxdamage1 libxfixes3 libatk1.0-0 \
> 	libcairo2 libgdk-pixbuf2.0-0 libfreetype6 libfontconfig1 \
> 	libxext6 libxrender1 libxinerama1 libxi6 libxrandr2 \
> 	libxcursor1 zlib1g libxcb1 libpixman-1-0 libegl1-mesa \
> 	libpng12-0 libxcb-shm0 libxcb-render0 libgl1-mesa-glx \
> 	libselinux1 libexpat1 libxau6 libxdmcp6 libxxf86vm1 \
> 	libdrm2
> icedove	3.1.9-1
> libatk1.0-0	1.32.0-2
> libc6	2.13-0exp3
> libcairo2	1.10.2-4
> libdbus-1-3	1.4.6-1
> libdbus-glib-1-2	0.88-2.1
> libdrm2	2.4.24-1
> libegl1-mesa	7.10-4
> libexpat1	2.0.1-7
> libfontconfig1	2.8.0-2.1
> libfreetype6	2.4.4-1
> libgcc1	1:4.6-20110227-1
> libgdk-pixbuf2.0-0	2.23.0-2
> libgl1-mesa-glx	7.10-4
> libglib2.0-0	2.28.1-1+b1
> libgtk2.0-0	2.24.1-1
> libnspr4-0d	4.8.7-2
> libpango1.0-0	1.28.3-4
> libpcre3	8.12-3
> libpixman-1-0	0.21.6-1
> libpng12-0	1.2.44-1
> libselinux1	2.0.96-1
> libstdc++6	4.6-20110227-1
> libx11-6	2:1.4.1-5
> libxau6	1:1.0.6-1
> libxcb-render0	1.7-2
> libxcb-shm0	1.7-2
> libxcb1	1.7-2
> libxcomposite1	1:0.4.3-1
> libxcursor1	1:1.1.11-1
> libxdamage1	1:1.1.3-1
> libxdmcp6	1:1.1.0-1
> libxext6	2:1.2.0-2
> libxfixes3	1:5.0-1
> libxi6	2:1.4.1-1
> libxinerama1	2:1.1.1-1
> libxrandr2	2:1.3.1-1
> libxrender1	1:0.9.6-1
> libxxf86vm1	1:1.1.1-1
> zlib1g	1:1.2.5.dfsg-1
> 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Wed, 23 Mar 2011 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 23 Mar 2011 08:57:02 GMT) Full text and rfc822 format available.

Message #25 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Guido Günther <agx@sigxcpu.org>
Cc: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Wed, 23 Mar 2011 03:53:27 -0500
Hi Guido,

Guido Günther wrote:

> $ readelf -a /usr/lib/icedove/libxpcom.so | grep NS_Alloc

0000002035b8  000300000001 R_X86_64_64       0000000000000000 NS_Alloc_P + 0
000000203880  000300000007 R_X86_64_JUMP_SLO 0000000000000000 NS_Alloc_P + 0
     3: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND NS_Alloc_P
   110: 0000000000002c33     5 FUNC    GLOBAL DEFAULT   12 NS_Alloc

> Did this happen after an update or is this a fresh install?

Fresh install.

Thanks and hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Tue, 29 Mar 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Tue, 29 Mar 2011 08:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 29 Mar 2011 03:51:59 -0500
# Guido Günther wrote:
#
# > Did this happen after an update or is this a fresh install?
#
# Being curious, I tried the squeeze and sid versions.

found 617759 icedove/3.0.11-2 icedove/3.0.11-1+squeeze1




Bug Marked as found in versions icedove/3.0.11-1+squeeze1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 29 Mar 2011 09:09:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.0.11-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 29 Mar 2011 09:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Fri, 01 Apr 2011 23:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Fri, 01 Apr 2011 23:06:06 GMT) Full text and rfc822 format available.

Message #39 received at 617759@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Cc: Guido Günther <agx@sigxcpu.org>
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Sat, 2 Apr 2011 00:55:55 +0200
Hi,

some more things to try:

  $ LD_DEBUG=symbols icedove

and

  $ ls -l /lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2

LD_DEBUG will generate lot of output, but we need all of this.

On Mi, Mär 23, 2011 at 03:53:27 -0500, Jonathan Nieder wrote:
> > Did this happen after an update or is this a fresh install?
> 
> Fresh install.

You report problems with 3.1 and 3.0. Did you run your tests on the same
machine or on different hardware?

Cheers,
Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Fri, 01 Apr 2011 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Fri, 01 Apr 2011 23:09:05 GMT) Full text and rfc822 format available.

Message #44 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christoph Goehre <chris@sigxcpu.org>
Cc: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Fri, 1 Apr 2011 18:07:35 -0500
[Message part 1 (text/plain, inline)]
Hi,

Christoph Goehre wrote:
[out of order for convenience]

> You report problems with 3.1 and 3.0. Did you run your tests on the same
> machine or on different hardware?

It's all on the same machine (the only recent amd64 system I have access
to).

> some more things to try:
>
>   $ LD_DEBUG=symbols icedove

Attached.

>   $ ls -l /lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2

$ ls -l /lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /lib32/ld-linux.so.2
lrwxrwxrwx 1 root root 10 Apr  1 18:01 /lib64/ld-linux-x86-64.so.2 -> ld-2.13.so
lrwxrwxrwx 1 root root 20 Apr  1 18:01 /lib/ld-linux.so.2 -> /lib32/ld-linux.so.2
lrwxrwxrwx 1 root root 10 Apr  1 18:01 /lib32/ld-linux.so.2 -> ld-2.13.so
$ dpkg-query -W libc6
libc6	2.13-0exp5
[icedove-LD_DEBUG.log.xz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Sun, 03 Apr 2011 11:48:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Sun, 03 Apr 2011 11:48:32 GMT) Full text and rfc822 format available.

Message #49 received at 617759@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Sun, 3 Apr 2011 13:45:51 +0200
Hi,

On Fr, Apr 01, 2011 at 06:07:35 -0500, Jonathan Nieder wrote:
> $ dpkg-query -W libc6
> libc6	2.13-0exp5
     ^^^^^^^^^^

I've tried to reproduce your bug. And I succeeded with libc6 from
experimental one time.
Could you try to run 'ldconfig' or downgrade to libc6 from unstable and
test Icedove again?

Cheers,
Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#617759; Package icedove. (Mon, 04 Apr 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Mon, 04 Apr 2011 10:45:04 GMT) Full text and rfc822 format available.

Message #54 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org, libc6@packages.debian.org
Cc: Christoph Goehre <chris@sigxcpu.org>
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 4 Apr 2011 05:42:25 -0500
reassign 617759 libc6 2.13-0exp5
quit

Hi,

Christoph Goehre wrote:
> On Fr, Apr 01, 2011 at 06:07:35 -0500, Jonathan Nieder wrote:

>> $ dpkg-query -W libc6
>> libc6	2.13-0exp5
>               ^^^^^^^^^^
>
> I've tried to reproduce your bug. And I succeeded with libc6 from
> experimental one time.
> Could you try to run 'ldconfig' or downgrade to libc6 from unstable and
> test Icedove again?

Yes!  With libc6 2.11.2-13 from sid, icedove loads without trouble.

Aurelien, any ideas?  To recap, amd64 machine.  With libc6 from
experimental, icedove fails to start up, like so:

 $ icedove; echo $?
 /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
 127

http://bugs.debian.org/617759 has details.  Reassigning to libc
for now because it is a regression (but please feel free to reassign
it back once this is understood).

Jonathan




Bug reassigned from package 'icedove' to 'libc6'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Apr 2011 10:45:21 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions icedove/3.1.9-1, icedove/3.0.11-1+squeeze1, and icedove/3.0.11-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Apr 2011 10:45:21 GMT) Full text and rfc822 format available.

Bug Marked as found in versions eglibc/2.13-0exp5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Apr 2011 10:45:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Mon, 04 Apr 2011 10:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 04 Apr 2011 10:54:27 GMT) Full text and rfc822 format available.

Message #65 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org, icedove@packages.debian.org
Cc: Christoph Goehre <chris@sigxcpu.org>
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 4 Apr 2011 05:53:29 -0500
Jonathan Nieder wrote:
> Christoph Goehre wrote:

>> Could you try to run 'ldconfig' or downgrade to libc6 from unstable and
>> test Icedove again?
>
> Yes!  With libc6 2.11.2-13 from sid, icedove loads without trouble.

Hmm, on second thought, it works again when I upgrade to experimental,
just as you hinted.

Perhaps some library's postinst is missing a call to ldconfig?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Mon, 04 Apr 2011 11:21:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 04 Apr 2011 11:21:28 GMT) Full text and rfc822 format available.

Message #70 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Cc: icedove@packages.debian.org, Christoph Goehre <chris@sigxcpu.org>
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 4 Apr 2011 13:18:08 +0200
On Mon, Apr 04, 2011 at 05:53:29AM -0500, Jonathan Nieder wrote:
> Jonathan Nieder wrote:
> > Christoph Goehre wrote:
> 
> >> Could you try to run 'ldconfig' or downgrade to libc6 from unstable and
> >> test Icedove again?
> >
> > Yes!  With libc6 2.11.2-13 from sid, icedove loads without trouble.
> 
> Hmm, on second thought, it works again when I upgrade to experimental,
> just as you hinted.
> 
> Perhaps some library's postinst is missing a call to ldconfig?
> 

This is something quite strange, as ldconfig doesn't cache the list of
symbols, only the location of libraries. ldconfig is run at the end of
the libc6 installation, so it should not change anything rerunning it 
by hand. Anyway these files are outside the default search path of 
ldconfig. 

I have to say I don't have a lot of idea there. Maybe a prelink issue? 
Are you using prelink?
-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Mon, 04 Apr 2011 19:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 04 Apr 2011 19:18:09 GMT) Full text and rfc822 format available.

Message #75 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 617759@bugs.debian.org, icedove@packages.debian.org, Christoph Goehre <chris@sigxcpu.org>
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 4 Apr 2011 14:15:56 -0500
Aurelien Jarno wrote:

> I have to say I don't have a lot of idea there. Maybe a prelink issue? 
> Are you using prelink?

No, not that I'm aware of.  Yesterday I ran "cupt full-upgrade" so
now icedove is at version 3.1.9-2.

Today's experiments, omitting package manager output:

  $ dpkg-query -W libc6
  libc6	2.13-0exp5
  $ icedove
  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
  # ldconfig
  $ icedove
  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
  # cupt reinstall libc6 libc-bin libc6-dev libc6-i386
  $ icedove
  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
  # cupt install libc6/sid
  # cupt install libc6/experimental
  $ icedove
  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
  # cupt install libc6/sid
  $ icedove; echo $?
[opens successfully!]
  0
  # cupt install libc6/experimental
  $ icedove; echo $?
[opens successfully!]
  0

Weird.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Fri, 15 Apr 2011 00:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 15 Apr 2011 00:39:06 GMT) Full text and rfc822 format available.

Message #80 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Cc: icedove@packages.debian.org, Christoph Goehre <chris@sigxcpu.org>
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Thu, 14 Apr 2011 19:37:22 -0500
Hi again,

> On Mon, Apr 04, 2011 at 05:53:29AM -0500, Jonathan Nieder wrote:
>> Jonathan Nieder wrote:

>>> Yes!  With libc6 2.11.2-13 from sid, icedove loads without trouble.
>>
>> Hmm, on second thought, it works again when I upgrade to experimental,
>> just as you hinted.

Hmm, so here's the latest experiment:

 1. Install libc6 from sid.
 2. Install and run icedove.
 3. Upgrade to libc6 from experimental.
 4. Run icedove.  It still runs without trouble.
 5. Install an icedove extension (I chose "external editor") and click
    the "Restart icedove" button.

Outcome:

 /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

and icedove won't start until I downgrade to libc6 from sid.

To recap, there's another way to get to the same place more quickly:

 1. Install libc6 from experimental.
 2. Install and try to run icedove.

I am completely mystified.  ldconfig does not help, of course.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Mon, 02 May 2011 06:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Bremicker <local@sebrem.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 02 May 2011 06:36:07 GMT) Full text and rfc822 format available.

Message #85 received at 617759@bugs.debian.org (full text, mbox):

From: Sebastian Bremicker <local@sebrem.de>
To: Debian Bug Tracking System <617759@bugs.debian.org>
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 02 May 2011 08:25:13 +0200
Package: libc6
Followup-For: Bug #617759


Hi,

after getting a warning from apt-listbugs regarding the libc6 update to
2.13-1 I got curious and have to say that the bug does not affect me here. I
keep a "bleeding edge" sid system with near-daily updates so these are the
versions of other maybe related packages:

dbus: Version: 1.4.8-3 (updated 11/04/28, fixed a kde login problem)
icedove: Version: 3.1.9-2 (updated 11/04/03)

Kind regards

Sebastian Bremicker

-- System Information:
Debian Release: wheezy/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libc-bin                      2.13-1     Embedded GNU C Library: Binaries
ii  libgcc1                       1:4.6.0-6  GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
pn  glibc-doc                     <none>     (no description available)
ii  locales                       2.13-1     Embedded GNU C Library: National L

-- debconf information:
* glibc/upgrade: true
  glibc/disable-screensaver:
  glibc/restart-failed:
* glibc/restart-services: spamassassin exim4 cups cron atd




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Mon, 02 May 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 02 May 2011 07:42:03 GMT) Full text and rfc822 format available.

Message #90 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sebastian Bremicker <local@sebrem.de>
Cc: 617759@bugs.debian.org, icedove@packages.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 2 May 2011 02:37:58 -0500
# could be an icedove bug
reassign 617759 libc6,icedove
found 617759 eglibc/2.13-0exp5
found 617759 icedove/3.0.11-1+squeeze1
found 617759 icedove/3.0.11-2
found 617759 icedove/3.1.9-1
found 617759 icedove/3.1.9-2
quit

Hi Sebastian,

Sebastian Bremicker wrote:

> after getting a warning from apt-listbugs regarding the libc6 update to
> 2.13-1 I got curious and have to say that the bug does not affect me here. I
> keep a "bleeding edge" sid system with near-daily updates so these are the
> versions of other maybe related packages:
>
> dbus: Version: 1.4.8-3 (updated 11/04/28, fixed a kde login problem)
> icedove: Version: 3.1.9-2 (updated 11/04/03)

Yep, my experience was:

 A. If I install libc6 2.11 and icedove, run icedove, and then install
    libc6 2.13, no problems.

 B. On the other hand, if libc6 2.13 is already installed and icedove
    is not, then installing and running icedove gives

 /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

Could you uninstall and reinstall icedove and check?

Thanks,
Jonathan




Bug reassigned from package 'libc6' to 'libc6,icedove'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions eglibc/2.13-0exp5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions eglibc/2.13-0exp5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.0.11-1+squeeze1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.0.11-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.1.9-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.1.9-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 May 2011 07:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 02 May 2011 21:54:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 02 May 2011 21:54:44 GMT) Full text and rfc822 format available.

Message #109 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sebastian Bremicker <local@sebrem.de>
Cc: 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 2 May 2011 16:13:47 -0500
Sebastian Bremicker wrote:
> Hi Jonathan,

>> Could you uninstall and reinstall icedove and check?
>
> yes, I'm sorry, but it is running flawlessy here. I also
> purged .icedove from my homedirectory prior to reinstall (I use
> sylpheed as primary MUA). I don't have a clue what I do differently
> (ok, I also have the l10n-de package installed with icedove).

No need to be sorry --- that's exactly the sort of information that
is most useful.  Grasping at straws: do you have the "prelink" package
installed (I don't)?

So so far there are two systems (see Message #49) that reproduced the
problem and one that didn't.  The machine architecture doesn't seem to
be the relevant variable --- both you and I use amd64.  Hm.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 05:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Bremicker <local@sebrem.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 05:39:04 GMT) Full text and rfc822 format available.

Message #114 received at 617759@bugs.debian.org (full text, mbox):

From: Sebastian Bremicker <local@sebrem.de>
To: Debian Bug Tracking System <617759@bugs.debian.org>
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 03 May 2011 07:35:15 +0200
Package: icedove
Followup-For: Bug #617759


Hi,

> No need to be sorry --- that's exactly the sort of information that
> is most useful.  Grasping at straws: do you have the "prelink" package
> installed (I don't)?

I also don't have the prelink package installed. Let's compare some
depencencies of which there are multiple versions available as of today,
libdbus-1-3 and libnss3-1d. These are the versions on my systems:

libdbus-1-3: 1.4.8-3 (instead of 1.4.6-1)
libnss3-1d: 3.12.9.with.ckbi.1.82-1 (instead of 3.12.8-1+squeeze1)

Kind regards

Sebastian

-- System Information:
Debian Release: wheezy/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedove depends on:
ii  debianutils      3.4.4                   Miscellaneous utilities specific t
ii  fontconfig       2.8.0-2.2               generic font configuration library
ii  libasound2       1.0.23-3                shared library for ALSA applicatio
ii  libatk1.0-0      2.0.0-1                 The ATK accessibility toolkit
ii  libc6            2.13-1                  Embedded GNU C Library: Shared lib
ii  libcairo2        1.10.2-6                The Cairo 2D vector graphics libra
ii  libdbus-1-3      1.4.8-3                 simple interprocess messaging syst
ii  libffi5          3.0.9-4                 Foreign Function Interface library
ii  libfontconfig1   2.8.0-2.2               generic font configuration library
ii  libfreetype6     2.4.4-1                 FreeType 2 font engine, shared lib
ii  libgcc1          1:4.6.0-6               GCC support library
ii  libgdk-pixbuf2.0 2.23.3-3                GDK Pixbuf library
ii  libglib2.0-0     2.28.6-1                The GLib library of C routines
ii  libgtk2.0-0      2.24.4-3                The GTK+ graphical user interface 
ii  libjpeg62        6b1-1                   The Independent JPEG Group's JPEG 
ii  libnspr4-0d      4.8.7-2                 NetScape Portable Runtime Library
ii  libnss3-1d       3.12.9.with.ckbi.1.82-1 Network Security Service libraries
ii  libpango1.0-0    1.28.3-6                Layout and rendering of internatio
ii  libpixman-1-0    0.21.8-1                pixel-manipulation library for X a
ii  libsqlite3-0     3.7.6.2-1               SQLite 3 shared library
ii  libstartup-notif 0.10-1                  library for program launch feedbac
ii  libstdc++6       4.6.0-6                 The GNU Standard C++ Library v3
ii  libx11-6         2:1.4.3-1               X11 client-side library
ii  libxrender1      1:0.9.6-1               X Rendering Extension client libra
ii  libxt6           1:1.1.1-1               X11 toolkit intrinsics library
ii  psmisc           22.13-1                 utilities that use the proc file s
ii  zlib1g           1:1.2.3.4.dfsg-3        compression library - runtime

Versions of packages icedove recommends:
ii  myspell-de-at [myspell-dictio 20100727-1 Austrian (German) dictionary for m
ii  myspell-de-ch [myspell-dictio 20100727-1 Swiss (German) dictionary for mysp
ii  myspell-de-de [myspell-dictio 20100727-1 German dictionary for myspell

Versions of packages icedove suggests:
ii  libdbus-glib-1-2           0.92-1        simple interprocess messaging syst
ii  libgconf2-4                2.28.1-6      GNOME configuration database syste
ii  libgnomevfs2-0             1:2.24.4-1    GNOME Virtual File System (runtime
ii  libgssapi-krb5-2           1.9+dfsg-1+b1 MIT Kerberos runtime libraries - k
ii  libnotify1 [libnotify1-gtk 0.5.0-2       sends desktop notifications to a n
ii  ttf-lyx                    2.0.0-1       TrueType versions of some TeX font

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #119 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sebastian Bremicker <local@sebrem.de>
Cc: 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 00:54:03 -0500
Sebastian Bremicker wrote:

> I also don't have the prelink package installed. Let's compare some
> depencencies of which there are multiple versions available as of today,
> libdbus-1-3 and libnss3-1d. These are the versions on my systems:
>
> libdbus-1-3: 1.4.8-3 (instead of 1.4.6-1)
> libnss3-1d: 3.12.9.with.ckbi.1.82-1 (instead of 3.12.8-1+squeeze1)

Ah, I'm afraid checking one by one would be rather slow.  This machine
uses packages from experimental where possible, so there will be a lot
of differences along those lines.

Message #5 shows the libraries I was using a couple of months ago,
when I had the same trouble.  There's something weird going on,
though, because as I mentioned running icedove with libc from sid once
fixes it until the next time icedove is touched or an extension is
installed.  There's probably some weird dynamic linker magic involved
somewhere.

I'll try installing sid in a vm and see if I can reproduce it there.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 06:27:04 GMT) Full text and rfc822 format available.

Message #124 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sebastian Bremicker <local@sebrem.de>
Cc: 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 01:22:40 -0500
Sebastian Bremicker wrote:

> A far fetched thought maybe, but me using mozilla.debian.net's
> experimental iceweasel (v5 as of yesterday in the evening, v4 before
> that) couldn't be related, could it?

I thought of that, too when I first ran into this.  Luckily I don't
think they're related, since they use different copies of xulrunner.
Attempts along the lines of "uninstall iceweasel, experiment, install
iceweasel, experiment more" didn't get me anywhere.

> I also have experimental's sources active but only cherry-pick some
> packages from it. As far as I know our dependency list should be quite
> the same apart from those two packages mentioned above as I see no
> other packages having alternatives.

Ah, sorry to be dense.  Here's a current list, for convenient
diff-ing.

Jonathan

$ dpkg-query -W icedove \
	libnspr4-0d libdbus-glib-1-2 libdbus-1-3 libstdc++6 libc6 \
	libglib2.0-0 libgcc1 libgtk2.0-0 libpcre3 libpango1.0-0 \
	libx11-6 libxcomposite1 libxdamage1 libxfixes3 libatk1.0-0 \
	libcairo2 libgdk-pixbuf2.0-0 libfreetype6 libfontconfig1 \
	libxext6 libxrender1 libxinerama1 libxi6 libxrandr2 \
	libxcursor1 zlib1g libxcb1 libpixman-1-0 libegl1-mesa \
	libpng12-0 libxcb-shm0 libxcb-render0 libgl1-mesa-glx \
	libselinux1 libexpat1 libxau6 libxdmcp6 libxxf86vm1 \
	libdrm2
icedove	3.1.9-2
libatk1.0-0	2.0.0-1
libc6	2.13-2
libcairo2	1.10.2-6
libdbus-1-3	1.4.8-3
libdbus-glib-1-2	0.92-1
libdrm2	2.4.25-1
libegl1-mesa	7.10-4
libexpat1	2.0.1-7
libfontconfig1	2.8.0-2.2
libfreetype6	2.4.4-1
libgcc1	1:4.6.0-6
libgdk-pixbuf2.0-0	2.23.3-3
libgl1-mesa-glx	7.10.2-2
libglib2.0-0	2.28.6-2
libgtk2.0-0	2.24.4-3
libnspr4-0d	4.8.7-2
libpango1.0-0	1.28.3-6
libpcre3	8.12-3
libpixman-1-0	0.21.8-1
libpng12-0	1.2.44-2
libselinux1	2.0.98-1
libstdc++6	4.6.0-6
libx11-6	2:1.4.3-1
libxau6	1:1.0.6-1
libxcb-render0	1.7-2
libxcb-shm0	1.7-2
libxcb1	1.7-2
libxcomposite1	1:0.4.3-1
libxcursor1	1:1.1.11-1
libxdamage1	1:1.1.3-1
libxdmcp6	1:1.1.0-1
libxext6	2:1.2.0-2
libxfixes3	1:5.0-2
libxi6	2:1.4.2-1
libxinerama1	2:1.1.1-1
libxrandr2	2:1.3.1-1
libxrender1	1:0.9.6-1
libxxf86vm1	1:1.1.1-1
zlib1g	1:1.2.5.dfsg-1




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 07:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Bremicker <local@sebrem.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 07:06:06 GMT) Full text and rfc822 format available.

Message #129 received at 617759@bugs.debian.org (full text, mbox):

From: Sebastian Bremicker <local@sebrem.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 09:02:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

I don't see my previous mail in the sent folder and also forgot to cc
the bugtracker, so here I go again:

> > A far fetched thought maybe, but me using mozilla.debian.net's
> > experimental iceweasel (v5 as of yesterday in the evening, v4 before
> > that) couldn't be related, could it?
> I thought of that, too when I first ran into this.  Luckily I don't
> think they're related, since they use different copies of xulrunner.
> Attempts along the lines of "uninstall iceweasel, experiment, install
> iceweasel, experiment more" didn't get me anywhere.

OK, just to be sure ;).

> > I also have experimental's sources active but only cherry-pick some
> > packages from it. As far as I know our dependency list should be quite
> > the same apart from those two packages mentioned above as I see no
> > other packages having alternatives.
> 
> Ah, sorry to be dense.  Here's a current list, for convenient
> diff-ing.
> [...]

OK, when doing this:

sebrem@neocortex:~$ diff sebrem jonathan
3c3
< libc6 2.13-1
---
> libc6 2.13-2
7,8c7,8
< libdrm2       2.4.24-2
< libegl1-mesa
---
> libdrm2       2.4.25-1
> libegl1-mesa  7.10-4
14,15c14,15
< libgl1-mesa-glx       7.10.2-1
< libglib2.0-0  2.28.6-1
---
> libgl1-mesa-glx       7.10.2-2
> libglib2.0-0  2.28.6-2
40c40
< zlib1g        1:1.2.3.4.dfsg-3
---
> zlib1g        1:1.2.5.dfsg-1

I see we do have different versions of multiple packages although I do
use an experimental source, too, especially our libc6 is different
although there is no newer version available for me at the moment.
Maybe the archive I use is syncing slower.

deb http://debian.uni-duisburg-essen.de/debian/ experimental main contrib non-free
deb-src http://debian.uni-duisburg-essen.de/debian/ experimental main contrib non-free

But I think our libs are not comparable easily then.

Kind regards

Sebastian
[jonathan (application/octet-stream, attachment)]
[sebrem (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:00:02 GMT) Full text and rfc822 format available.

Message #134 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Cc: Sebastian Bremicker <local@sebrem.de>
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 20:55:58 +0200
On Mon, May 02, 2011 at 04:13:47PM -0500, Jonathan Nieder wrote:
> Sebastian Bremicker wrote:
> > Hi Jonathan,
> 
> >> Could you uninstall and reinstall icedove and check?
> >
> > yes, I'm sorry, but it is running flawlessy here. I also
> > purged .icedove from my homedirectory prior to reinstall (I use
> > sylpheed as primary MUA). I don't have a clue what I do differently
> > (ok, I also have the l10n-de package installed with icedove).
> 
> No need to be sorry --- that's exactly the sort of information that
> is most useful.  Grasping at straws: do you have the "prelink" package
> installed (I don't)?
> 
> So so far there are two systems (see Message #49) that reproduced the
> problem and one that didn't.  The machine architecture doesn't seem to
> be the relevant variable --- both you and I use amd64.  Hm.

You can also count me on the side which doesn't have the problem.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #139 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 20:59:50 +0200
On Tue, May 03, 2011 at 09:02:19AM +0200, Sebastian Bremicker wrote:
> Hi,
> 
> I don't see my previous mail in the sent folder and also forgot to cc
> the bugtracker, so here I go again:
> 
> > > A far fetched thought maybe, but me using mozilla.debian.net's
> > > experimental iceweasel (v5 as of yesterday in the evening, v4 before
> > > that) couldn't be related, could it?
> > I thought of that, too when I first ran into this.  Luckily I don't
> > think they're related, since they use different copies of xulrunner.
> > Attempts along the lines of "uninstall iceweasel, experiment, install
> > iceweasel, experiment more" didn't get me anywhere.
> 
> OK, just to be sure ;).
> 
> > > I also have experimental's sources active but only cherry-pick some
> > > packages from it. As far as I know our dependency list should be quite
> > > the same apart from those two packages mentioned above as I see no
> > > other packages having alternatives.
> > 
> > Ah, sorry to be dense.  Here's a current list, for convenient
> > diff-ing.
> > [...]
> 
> OK, when doing this:
> 
> sebrem@neocortex:~$ diff sebrem jonathan
> 3c3
> < libc6 2.13-1
> ---
> > libc6 2.13-2
> 7,8c7,8
> < libdrm2       2.4.24-2
> < libegl1-mesa
> ---
> > libdrm2       2.4.25-1
> > libegl1-mesa  7.10-4
> 14,15c14,15
> < libgl1-mesa-glx       7.10.2-1
> < libglib2.0-0  2.28.6-1
> ---
> > libgl1-mesa-glx       7.10.2-2
> > libglib2.0-0  2.28.6-2
> 40c40
> < zlib1g        1:1.2.3.4.dfsg-3
> ---
> > zlib1g        1:1.2.5.dfsg-1

Can you try do downgrade this one? There have been plenty of issue with
versions from experimental, though they don't match the error message.

Also that might sound stupid, but do you have any library installed in
/usr/lib/local ?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #144 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 14:16:36 -0500
Aurelien Jarno wrote:

>>> zlib1g        1:1.2.5.dfsg-1
>
> Can you try do downgrade this one? There have been plenty of issue with
> versions from experimental, though they don't match the error message.

Gladly.  Downgraded to 1:1.2.3.4.dfsg-3.  No change, alas.

> Also that might sound stupid, but do you have any library installed in
> /usr/lib/local ?

Unfortunately no.

| $ find /usr/local/lib -depth
| /usr/local/lib/python2.7/dist-packages
| /usr/local/lib/python2.7/site-packages
| /usr/local/lib/python2.7
| /usr/local/lib/python2.6/dist-packages
| /usr/local/lib/python2.6/site-packages
| /usr/local/lib/python2.6
| /usr/local/lib/ocaml/3.12.0/stublibs
| /usr/local/lib/ocaml/3.12.0
| /usr/local/lib/ocaml
| /usr/local/lib/site_ruby/1.9.1/x86_64-linux
| /usr/local/lib/site_ruby/1.9.1
| /usr/local/lib/site_ruby/1.8/x86_64-linux
| /usr/local/lib/site_ruby/1.8
| /usr/local/lib/site_ruby
| /usr/local/lib/python2.5/site-packages
| /usr/local/lib/python2.5
| /usr/local/lib
| $ env | grep LD_
| $ cat /etc/ld.so.conf /etc/ld.so.conf.d/*
| include /etc/ld.so.conf.d/*.conf
| 
| # libc default configuration
| /usr/local/lib
| # Multiarch support
| /lib/x86_64-linux-gnu
| /usr/lib/x86_64-linux-gnu
| $




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:36:05 GMT) Full text and rfc822 format available.

Message #149 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 21:32:24 +0200
On Tue, May 03, 2011 at 02:16:36PM -0500, Jonathan Nieder wrote:
> Aurelien Jarno wrote:
> 
> >>> zlib1g        1:1.2.5.dfsg-1
> >
> > Can you try do downgrade this one? There have been plenty of issue with
> > versions from experimental, though they don't match the error message.
> 
> Gladly.  Downgraded to 1:1.2.3.4.dfsg-3.  No change, alas.
> 
> > Also that might sound stupid, but do you have any library installed in
> > /usr/lib/local ?
> 
> Unfortunately no.
> 

Have you installed any icedove extension, as a Debian package or
manually?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #154 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 14:49:04 -0500
Aurelien Jarno wrote:

> Have you installed any icedove extension, as a Debian package or
> manually?

Yes.  Order of events:

 1. Installed icedove to try it out.  Failed as described in this bug.
 2. Downgraded libc6 to 2.11.x.  icedove worked!
 3. Upgraded libc6 to 2.13.x again.  icedove still worked!
 4. Installed "external editor" extension (manually, as a
    non-privileged user).  icedove failed again.
 5. Downgraded libc6 to 2.11.x.  icedove works!
 6. ...

Well, you get the idea.  I've removed my ~/.icedove since then, though.

Another detail: it takes 0.699 s (i.e., a long time) of icedove doing
nothing obvious before it prints the "symbol lookup error" message.
There is a ~/.icedove directory at the end of the process.  Based on
an strace, icedove is generating

  ~/.icedove/odzfq4j9.default/compreg.dat.tmp

which looks like

| Generated File. Do not edit.
|
| [HEADER]
| Version,0,5
|
| [COMPONENTS]
| rel:libmsgsmime.so,1301734508000
| rel:nsDownloadManagerUI.js,1301734307000
[...]
| rel:libnsappshell.so,1301734533000
|
| [CLASSIDS]
| {bfc310d2-38a0-11d3-8cd3-0060b0fc14a3},,application/x-mozilla-native,,rel:libgklayout.so
[...]
| {12bb8f17-2389-11d3-b3bf-00805f8a6670},,application/x-mozilla-native,,rel:libchardet.so

when it exits.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #159 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 21:52:57 +0200
On Tue, May 03, 2011 at 02:49:04PM -0500, Jonathan Nieder wrote:
> Aurelien Jarno wrote:
> 
> > Have you installed any icedove extension, as a Debian package or
> > manually?
> 
> Yes.  Order of events:
> 
>  1. Installed icedove to try it out.  Failed as described in this bug.
>  2. Downgraded libc6 to 2.11.x.  icedove worked!
>  3. Upgraded libc6 to 2.13.x again.  icedove still worked!
>  4. Installed "external editor" extension (manually, as a
>     non-privileged user).  icedove failed again.
>  5. Downgraded libc6 to 2.11.x.  icedove works!
>  6. ...

And does it work without any extension installed?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 19:57:04 GMT) Full text and rfc822 format available.

Message #164 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Sebastian Bremicker <local@sebrem.de>, 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 14:55:47 -0500
Aurelien Jarno wrote:
> On Tue, May 03, 2011 at 02:49:04PM -0500, Jonathan Nieder wrote:
>> Aurelien Jarno wrote:

>>> Have you installed any icedove extension, as a Debian package or
>>> manually?
>>
>> Yes.  Order of events:
>> 
>>  1. Installed icedove to try it out.  Failed as described in this bug.
>>  2. Downgraded libc6 to 2.11.x.  icedove worked!
>>  3. Upgraded libc6 to 2.13.x again.  icedove still worked!
>>  4. Installed "external editor" extension (manually, as a
>>     non-privileged user).  icedove failed again.
>>  5. Downgraded libc6 to 2.11.x.  icedove works!
>>  6. ...
>
> And does it work without any extension installed?

No, it does not.  That is what step 1 means and what "I have removed
~/.icedove since then" means.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #169 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Cc: Sebastian Bremicker <local@sebrem.de>
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 22:31:05 +0200
On Tue, May 03, 2011 at 02:55:47PM -0500, Jonathan Nieder wrote:
> Aurelien Jarno wrote:
> > On Tue, May 03, 2011 at 02:49:04PM -0500, Jonathan Nieder wrote:
> >> Aurelien Jarno wrote:
> 
> >>> Have you installed any icedove extension, as a Debian package or
> >>> manually?
> >>
> >> Yes.  Order of events:
> >> 
> >>  1. Installed icedove to try it out.  Failed as described in this bug.
> >>  2. Downgraded libc6 to 2.11.x.  icedove worked!
> >>  3. Upgraded libc6 to 2.13.x again.  icedove still worked!
> >>  4. Installed "external editor" extension (manually, as a
> >>     non-privileged user).  icedove failed again.
> >>  5. Downgraded libc6 to 2.11.x.  icedove works!
> >>  6. ...
> >
> > And does it work without any extension installed?
> 
> No, it does not.  That is what step 1 means and what "I have removed
> ~/.icedove since then" means.
> 

Given I am out of idea, I probably ask stupid questions... Could you 
please dump your /proc/cpuinfo ?


-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 03 May 2011 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #174 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 617759@bugs.debian.org, Sebastian Bremicker <local@sebrem.de>
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Tue, 3 May 2011 15:46:39 -0500
Aurelien Jarno wrote:

> Given I am out of idea, I probably ask stupid questions... Could you 
> please dump your /proc/cpuinfo ?

No problem; thanks for working on this.  In the meantime I am installing
sid (slowly) in a vm.

$ cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 6
model name	: AMD Athlon(tm) II P360 Dual-Core Processor
stepping	: 3
cpu MHz		: 800.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a 3dnowprefetch osvw ibs skinit wdt nodeid_msr npt lbrv svm_lock nrip_save
bogomips	: 4588.76
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 6
model name	: AMD Athlon(tm) II P360 Dual-Core Processor
stepping	: 3
cpu MHz		: 800.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a 3dnowprefetch osvw ibs skinit wdt nodeid_msr npt lbrv svm_lock nrip_save
bogomips	: 4588.55
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Wed, 04 May 2011 11:52:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Wed, 04 May 2011 11:52:06 GMT) Full text and rfc822 format available.

Message #179 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Wed, 4 May 2011 06:24:57 -0500
[Message part 1 (text/plain, inline)]
Jonathan Nieder wrote:

>  $ icedove; echo $?
>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>  127

Backtrace:

#0  _dl_signal_cerror (errcode=0, objname=0x7fffe6e70640 "/usr/lib/icedove/components/libdbusservice.so", 
    occation=0x7ffff7df6f03 "symbol lookup error", errstring=0x7fffffffd690 "undefined symbol: NS_Alloc")
    at dl-error.c:138
#1  0x00007ffff7de7187 in _dl_lookup_symbol_x (undef_name=<value optimized out>, 
    undef_map=<value optimized out>, ref=0x7fffffffd7f8, symbol_scope=<value optimized out>, 
    version=<value optimized out>, type_class=<value optimized out>, flags=5, skip_map=0x0) at dl-lookup.c:779
#2  0x00007ffff7dea782 in _dl_fixup (l=<value optimized out>, reloc_arg=<value optimized out>)
    at ../elf/dl-runtime.c:118
#3  0x00007ffff7df0635 in _dl_runtime_resolve () at ../sysdeps/x86_64/dl-trampoline.S:41
#4  0x00007fffdc294430 in Alloc (this=0x7fffe6efa8a0, aContractID=0x7fffffffd928) at nsMemory.h:68
#5  nsGenericFactory::GetContractID (this=0x7fffe6efa8a0, aContractID=0x7fffffffd928)
    at nsGenericFactory.cpp:115
#6  0x00007ffff79520fc in ClassIDWriter (table=<value optimized out>, hdr=<value optimized out>, 
    number=<value optimized out>, arg=<value optimized out>) at nsComponentManager.cpp:1137
#7  0x00007ffff79270d0 in PL_DHashTableEnumerate (table=0x7ffff06eb1a8, 
    etor=0x7ffff795202d <ClassIDWriter(PLDHashTable*, PLDHashEntryHdr*, PRUint32, void*)>, arg=0x7fffffffda90)
    at pldhash.c:754
#8  0x00007ffff79523d7 in nsComponentManagerImpl::WritePersistentRegistry (this=0x7ffff06eb160)
    at nsComponentManager.cpp:1246
#9  0x00007ffff795513b in nsComponentManagerImpl::AutoRegister (this=0x7ffff06eb160, aSpec=0x0)
    at nsComponentManager.cpp:3469
#10 0x00007ffff7930163 in NS_InitXPCOM3_P (result=<value optimized out>, binDirectory=<value optimized out>, 
    appFileLocationProvider=<value optimized out>, staticComponents=<value optimized out>, 
    componentCount=<value optimized out>) at nsXPComInit.cpp:773
#11 0x00007ffff7bc34c7 in ScopedXPCOMStartup::Initialize (this=0x7fffffffe580) at nsAppRunner.cpp:1119
#12 0x00007ffff7bc650d in XRE_main (argc=<value optimized out>, argv=<value optimized out>, 
    aAppData=<value optimized out>) at nsAppRunner.cpp:3283
#13 0x000000000040184b in main (argc=1, argv=0x7fffffffe808) at nsMailApp.cpp:101

"bt full" output attached.
[backtrace.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Thu, 05 May 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Thu, 05 May 2011 10:27:10 GMT) Full text and rfc822 format available.

Message #184 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Thu, 5 May 2011 05:21:50 -0500
severity 617759 important
tags 617759 + moreinfo
quit

Jonathan Nieder wrote:

> Typical experimental system.

Not reproducible on sid.  Tagging moreinfo until it is clear how to
reproduce (hopefully upgrading the test vm to experimental will do the
trick, so that the hunt for the specific problematic package could
begin).




Severity set to 'important' from 'grave' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 May 2011 10:27:42 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 May 2011 10:27:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Sun, 08 May 2011 09:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Fayolle <fayolle-florent@orange.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Sun, 08 May 2011 09:45:09 GMT) Full text and rfc822 format available.

Message #193 received at 617759@bugs.debian.org (full text, mbox):

From: Florent Fayolle <fayolle-florent@orange.fr>
To: Debian Bug Tracking System <617759@bugs.debian.org>
Subject: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Sun, 08 May 2011 11:41:22 +0200
Package: icedove
Version: 3.1.9-2
Followup-For: Bug #617759

I have the same problem as Jonathan. I dist-upgraded this morning my system, and Icedove couldn't start.
I downloaded Thunderbird 3.1.10 too, it crashed too with a Segmentation Fault (I don't know if it is due to the same problem).

Regards
Florent

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-5.slh.3-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedove depends on:
ii  debianutils      3.4.4                   Miscellaneous utilities specific t
ii  fontconfig       2.8.0-2.2               generic font configuration library
ii  libasound2       1.0.23-3                shared library for ALSA applicatio
ii  libatk1.0-0      2.0.0-1                 The ATK accessibility toolkit
ii  libc6            2.13-2                  Embedded GNU C Library: Shared lib
ii  libcairo2        1.10.2-6                The Cairo 2D vector graphics libra
ii  libdbus-1-3      1.4.8-3                 simple interprocess messaging syst
ii  libffi5          3.0.9-4                 Foreign Function Interface library
ii  libfontconfig1   2.8.0-2.2               generic font configuration library
ii  libfreetype6     2.4.4-1                 FreeType 2 font engine, shared lib
ii  libgcc1          1:4.6.0-6               GCC support library
ii  libgdk-pixbuf2.0 2.23.3-3                GDK Pixbuf library
ii  libglib2.0-0     2.28.6-1                The GLib library of C routines
ii  libgtk2.0-0      2.24.4-3                The GTK+ graphical user interface 
ii  libjpeg62        6b1-1                   The Independent JPEG Group's JPEG 
ii  libnspr4-0d      4.8.7-2                 NetScape Portable Runtime Library
ii  libnss3-1d       3.12.9.with.ckbi.1.82-1 Network Security Service libraries
ii  libpango1.0-0    1.28.3-6                Layout and rendering of internatio
ii  libpixman-1-0    0.21.8-1                pixel-manipulation library for X a
ii  libsqlite3-0     3.7.6.2-1               SQLite 3 shared library
ii  libstartup-notif 0.10-1                  library for program launch feedbac
ii  libstdc++6       4.6.0-6                 The GNU Standard C++ Library v3
ii  libx11-6         2:1.4.3-1               X11 client-side library
ii  libxrender1      1:0.9.6-1               X Rendering Extension client libra
ii  libxt6           1:1.1.1-1               X11 toolkit intrinsics library
ii  psmisc           22.13-1                 utilities that use the proc file s
ii  zlib1g           1:1.2.3.4.dfsg-3        compression library - runtime

Versions of packages icedove recommends:
ii  hunspell-fr [hunspell-diction 1:3.3.0-3  French dictionary for hunspell
ii  myspell-de-de [myspell-dictio 20100727-1 German dictionary for myspell
ii  myspell-en-us [myspell-dictio 1:3.3.0-3  English_american dictionary for my

Versions of packages icedove suggests:
ii  libdbus-glib-1-2           0.92-1        simple interprocess messaging syst
ii  libgconf2-4                2.28.1-6      GNOME configuration database syste
pn  libgnomevfs2-0             <none>        (no description available)
ii  libgssapi-krb5-2           1.9+dfsg-1+b1 MIT Kerberos runtime libraries - k
ii  libnotify1 [libnotify1-gtk 0.5.0-2       sends desktop notifications to a n
pn  ttf-lyx                    <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 09 May 2011 12:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 09 May 2011 12:00:24 GMT) Full text and rfc822 format available.

Message #198 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 9 May 2011 06:56:28 -0500
tags 617759 - moreinfo
quit

Jonathan Nieder wrote:

>  $ icedove; echo $?
>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>  127

I tried reproducing this with upstream glibc.  I'm way too lazy to
rebuild icedove in a sysroot, so that meant:

	git checkout 9f94d2ea
	cd ..
	mkdir glibc-build
	cd glibc-build
	../glibc/configure --prefix=$HOME/opt/glibc
	make install

In a root shell, kept open for safety:

	cd ~jrn/src/glibc-build
	cp -dp /lib/ld-linux-x86-64.so.2 ld-linux-x86-64.so.2.backup
	ln -sf $(pwd)/elf/ld.so /lib/ld-linux-x64-64.so.2

As an ordinary user:

	LD_LIBRARY_PATH=$HOME/opt/glibc:/usr/local/lib:/usr/lib:/lib
	export LD_LIBRARY_PATH
	icedove

Worked great --- icedove opened without trouble.  So probably either
the bug is caused by a Debian or eglibc patch, or it is related to
ld.so.cache.  Next step will be to try the patched source.

A less puzzling finding: LD_BIND_NOW avoids trouble, too.

The icedove source says

	/**
	 * Static helper routines to manage memory. These routines allow easy access
	 * to xpcom's built-in (global) nsIMemory implementation, without needing
	 * to go through the service manager to get it. However this requires clients
	 * to link with the xpcom DLL.
	 *
	 * This class is not threadsafe and is intented for use only on the main
	 * thread.
	 */

Maybe the warning is relevant?  But this does not feel like a race
(especially with a narrow window like that between the following "if"
and "return")

	if (!xpcomFunctions.allocFunc)
	    return nsnull;
	return xpcomFunctions.allocFunc(size);

since the result of running icedove is the same every time.




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 09 May 2011 12:00:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 09 May 2011 12:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 09 May 2011 12:15:26 GMT) Full text and rfc822 format available.

Message #205 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 9 May 2011 07:10:23 -0500
Jonathan Nieder wrote:

> 	 * This class is not threadsafe and is intented for use only on the main
> 	 * thread.
> 	 */
>
> Maybe the warning is relevant?  But this does not feel like a race
> (especially with a narrow window like that between the following "if"
> and "return")
>
> 	if (!xpcomFunctions.allocFunc)
> 	    return nsnull;
> 	return xpcomFunctions.allocFunc(size);

Sorry, please ignore the above.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 09 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 09 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Message #210 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Subject: Re: Bug#617759: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 09 May 2011 15:44:31 +0200
Le 09/05/2011 13:56, Jonathan Nieder a écrit :
> tags 617759 - moreinfo
> quit
> 
> Jonathan Nieder wrote:
> 
>>  $ icedove; echo $?
>>  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
>>  127
> 
> I tried reproducing this with upstream glibc.  I'm way too lazy to
> rebuild icedove in a sysroot, so that meant:
> 
> 	git checkout 9f94d2ea
> 	cd ..
> 	mkdir glibc-build
> 	cd glibc-build
> 	../glibc/configure --prefix=$HOME/opt/glibc
> 	make install
> 
> In a root shell, kept open for safety:
> 
> 	cd ~jrn/src/glibc-build
> 	cp -dp /lib/ld-linux-x86-64.so.2 ld-linux-x86-64.so.2.backup
> 	ln -sf $(pwd)/elf/ld.so /lib/ld-linux-x64-64.so.2
> 
> As an ordinary user:
> 
> 	LD_LIBRARY_PATH=$HOME/opt/glibc:/usr/local/lib:/usr/lib:/lib
> 	export LD_LIBRARY_PATH
> 	icedove
> 
> Worked great --- icedove opened without trouble.  So probably either
> the bug is caused by a Debian or eglibc patch, or it is related to
> ld.so.cache.  Next step will be to try the patched source.
> 
> A less puzzling finding: LD_BIND_NOW avoids trouble, too.

Interesting, so it means it should be possible to find the culprit using
a kind of dichotomy on the debian/patches directory.

As I can't reproduce the issue, would it be possible for you to try the
following tests? Alternatively if you have been able to reproduce the
issue in a VM, you can upload it somewhere sot that i can try to debug
it directly:
 - try to build from 996cf2ef07277805f119c8b47be92334c907ce8f ,
corresponding to the 2.13 branch, we have most of the patches of this
branch in the Debian eglibc package.
 - try to not set LD_LIBRARY_PATH, in other words, just use the ld.so
from your build. That would tell us if the problems comes from libc.so
or other libraries, or from ld.so. You can also experiment by only
having some .so in /opt/glibc
- try to add --enable-stackguard-randomization to the configure option,
to match further the debian package.

Note that you may want to use ccache if you have to rebuild glibc a few
times.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Thu, 12 May 2011 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Thu, 12 May 2011 21:21:09 GMT) Full text and rfc822 format available.

Message #215 received at 617759@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 617759@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Just got hit by this bug after installing xul-ext-adblock-plus
Date: Thu, 12 May 2011 23:14:50 +0200
Hi,

today I hit this bug: after installing an extension, namely
xul-ext-adblock-plus, and restarting icedove it failed:

$ icedove
/usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

This is in accord with Jonathan's remarks in comment #80.  Also,
following the tip in #198,

$ LD_BIND_NOW=1 icedove

got me out of trouble.  Well, sort of, because I had to deactivate the
new extension to make icedove start without LD_BIND_NOW=1.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 17 May 2011 08:09:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 17 May 2011 08:09:32 GMT) Full text and rfc822 format available.

Message #220 received at 617759@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 617759@bugs.debian.org
Subject: Also experienced here
Date: Tue, 17 May 2011 03:51:11 -0400
[Message part 1 (text/plain, inline)]
Package: icedove
Version: 3.1.10-1

I also just hit this bug. Icedove last started fine 2 days ago. Since 
then the only related change is the upgrade of xul-ext-firetray from 
0.2.8-2 to 0.2.8-3, which must have started it. This is an i386 
testing/unstable mix.
Many thanks to Jonathan for the workaround (running Icedove that way 
once fixes it). I'm writing this mail from my usual Icedove thanks to 
you. I confirm the description from Jonathan (Message #119). More 
precisely, on this machine, icedove seems to break if and only if:
While glibc 2.13 is installed, icedove is [re]installed, or an extension 
(maybe not any) is manipulated (that is installed, upgraded or removed).

glibc 2.13 migrated to testing 3 days ago. 2 days ago a testing user 
reported
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626812 "icedove: 
Icedove crash on start with libimgicon.so undefined symbol 
NS_GetServiceManager
which has to be related.
https://bugs.launchpad.net/ubuntu/+source/seamonkey/+bug/759406 
"seamonkey 2.0.13 does not start, missing libxpcom.so and 
libxpcom_core.so (Natty, x86_64)"
was reported on April 13th against Seamonkey and sounds a lot like #626812.


--- System information. ---
Architecture: i386
Kernel: Linux 2.6.38-2-686-bigmem

Debian Release: wheezy/sid
990 testing security.debian.org
990 testing ftp.ca.debian.org
500 unstable ftp.ca.debian.org
1 experimental ftp.ca.debian.org

--- Package information. ---
Depends (Version) | Installed
=============================================-+-=================
fontconfig | 2.8.0-2.2
psmisc | 22.13-1
debianutils (>= 1.16) | 3.4.4
libasound2 (>> 1.0.18) | 1.0.23-3
libatk1.0-0 (>= 1.12.4) | 2.0.0-1
libc6 (>= 2.3.6-6~) | 2.13-4
libcairo2 (>= 1.8.8) | 1.10.2-6
libdbus-1-3 (>= 1.0.2) | 1.4.8-3
libffi5 (>= 3.0.4) | 3.0.9-4
libfontconfig1 (>= 2.8.0) | 2.8.0-2.2
libfreetype6 (>= 2.2.1) | 2.4.4-1
libgcc1 (>= 1:4.1.1) | 1:4.6.0-2
libgdk-pixbuf2.0-0 (>= 2.22.0) | 2.23.3-3
libglib2.0-0 (>= 2.24.0) | 2.28.6-1
libgtk2.0-0 (>= 2.24.0) | 2.24.4-3
libhunspell-1.2-0 (>= 1.2.11) | 1.2.14-4
libjpeg62 (>= 6b1) | 6b1-1
libnspr4-0d (>= 4.7.0~1.9b1) | 4.8.7-2
libnss3-1d (>= 3.12.6) | 3.12.9.with.ckbi.1.82-1
libpango1.0-0 (>= 1.14.0) | 1.28.3-6
libpixman-1-0 (>= 0.11.2) | 0.21.8-1
libpng12-0 (>= 1.2.13-4) | 1.2.44-2
libsqlite3-0 (>= 3.6.5) | 3.7.6.2-1
libstartup-notification0 (>= 0.11) | 0.11-2
libstdc++6 (>= 4.1.1) | 4.6.0-2
libx11-6 | 2:1.4.3-1
libxrender1 | 1:0.9.6-1
libxt6 | 1:1.1.1-1
zlib1g (>= 1:1.1.4) | 1:1.2.3.4.dfsg-3


Recommends (Version) | Installed
==================================-+-===========
myspell-en-us |
OR hunspell-dictionary |
OR myspell-dictionary |


Suggests (Version) | Installed
=====================================-+-===============
ttf-lyx | 2.0.0~rc3-2
libgssapi-krb5-2 | 1.9+dfsg-1+b1
libdbus-glib-1-2 (>= 0.78) | 0.92-1
libgconf2-4 (>= 2.27.0) | 2.28.1-6
libgnomevfs2-0 (>= 1:2.17.90) | 1:2.24.4-1
libnotify1 (>= 0.5.0) | 0.5.0-2
libnotify1-gtk2.10 |




[Message part 2 (text/html, inline)]

Message sent on to Jonathan Nieder <jrnieder@gmail.com>:
Bug#617759. (Tue, 17 May 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #223 received at 617759-submitter@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 617759-submitter@bugs.debian.org
Subject: NS_Alloc with todays icedove update
Date: Tue, 17 May 2011 18:18:46 +0200 (CEST)
Hello,

I am hit by this bug since I have updated today my icedove to 3.1.10-1 on
i386 and amd64, -safe-mode also does not work:

me@gnu:~$ icedove -safe-mode
/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
me@gnu:~$

This is an sid system.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Tue, 17 May 2011 16:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Tue, 17 May 2011 16:45:08 GMT) Full text and rfc822 format available.

Message #228 received at 617759@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: Also experienced here
Date: Tue, 17 May 2011 12:42:53 -0400
On 2011-05-17 03:51, Filipus Klutiero wrote:

> More precisely, on this machine, icedove seems to break if and only if:
> While glibc 2.13 is installed, icedove is [re]installed, or an 
> extension (maybe not any) is manipulated (that is installed, upgraded 
> or removed).
Sorry, I forgot this also happens when icedove is upgraded. A new 
icedove was uploaded to unstable yesterday.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Fri, 27 May 2011 15:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aleksi Suhonen <debian-reportbug-2011@ssd.axu.tm>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Fri, 27 May 2011 15:09:10 GMT) Full text and rfc822 format available.

Message #233 received at 617759@bugs.debian.org (full text, mbox):

From: Aleksi Suhonen <debian-reportbug-2011@ssd.axu.tm>
To: 617759@bugs.debian.org
Subject: Bug#619897: Reproducible on sparc
Date: Fri, 27 May 2011 17:56:38 +0300
Hello,

I'd like to report that I have this problem on sparc, and I can avoid it 
by setting LD_BIND_NOW=1 in environment.

zsh% cat /proc/cpuinfo
cpu             : TI UltraSparc IIIi (Jalapeno)
fpu             : UltraSparc IIIi integrated FPU
pmu             : ultra3i
prom            : OBP 4.9.5 2003/09/15 14:00
type            : sun4u
ncpus probed    : 1
ncpus active    : 1
D$ parity tl1   : 0
I$ parity tl1   : 0
Cpu0ClkTck      : 000000003f4cd580
MMU Type        : Cheetah+
zsh% cat /etc/issue
Debian GNU/Linux wheezy/sid \n \l

zsh% dpkg-query -W icedove \
	libnspr4-0d libdbus-glib-1-2 libdbus-1-3 libstdc++6 libc6 \
	libglib2.0-0 libgcc1 libgtk2.0-0 libpcre3 libpango1.0-0 \
	libx11-6 libxcomposite1 libxdamage1 libxfixes3 libatk1.0-0 \
	libcairo2 libgdk-pixbuf2.0-0 libfreetype6 libfontconfig1 \
	libxext6 libxrender1 libxinerama1 libxi6 libxrandr2 \
	libxcursor1 zlib1g libxcb1 libpixman-1-0 libegl1-mesa \
	libpng12-0 libxcb-shm0 libxcb-render0 libgl1-mesa-glx \
	libselinux1 libexpat1 libxau6 libxdmcp6 libxxf86vm1 \
	libdrm2
icedove 3.1.10-1
libatk1.0-0     2.0.0-1
libc6   2.13-4
libcairo2       1.10.2-6
libdbus-1-3     1.4.8-3
libdbus-glib-1-2        0.92-1
libdrm2 2.4.25-2
libegl1-mesa    7.10.2-2
libexpat1       2.0.1-7
libfontconfig1  2.8.0-2.2
libfreetype6    2.4.4-1
libgcc1 1:4.6.0-8
libgdk-pixbuf2.0-0      2.23.3-3
libgl1-mesa-glx 7.10.2-2
libglib2.0-0    2.28.6-1
libgtk2.0-0     2.24.4-3
libnspr4-0d     4.8.8-1
libpango1.0-0   1.28.3-6
libpcre3        8.12-3
libpixman-1-0   0.21.8-1
libpng12-0      1.2.44-2
libselinux1     2.0.98-1+b1
libstdc++6      4.6.0-8
libx11-6        2:1.4.3-1
libxau6 1:1.0.6-1
libxcb-render0  1.7-2
libxcb-shm0     1.7-2
libxcb1 1.7-2
libxcomposite1  1:0.4.3-1
libxcursor1     1:1.1.11-1
libxdamage1     1:1.1.3-1
libxdmcp6       1:1.1.0-1
libxext6        2:1.3.0-1
libxfixes3      1:5.0-2
libxi6  2:1.4.2-1
libxinerama1    2:1.1.1-1
libxrandr2      2:1.3.1-1
libxrender1     1:0.9.6-1
libxxf86vm1     1:1.1.1-1
zlib1g  1:1.2.3.4.dfsg-3
zsh%

I do have plugins installed in my .icedove.

-- 
        Aleksi Suhonen / Axu TM Oy
        Internetworking Consulting
        Cellular: +358 45 670 2048
        World Wide Web: www.axu.tm




Message sent on to Jonathan Nieder <jrnieder@gmail.com>:
Bug#617759. (Mon, 30 May 2011 18:09:09 GMT) Full text and rfc822 format available.

Message #236 received at 617759-submitter@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 627341@bugs.debian.org, 627340@bugs.debian.org, 617759-submitter@bugs.debian.org
Subject: iceowl/enigmail does not work with icedove/eglibc
Date: Mon, 30 May 2011 20:07:33 +0200
Hello dudes,

I already reported in 627340 and 627341, that the enigmail and iceowl
extensions do not work with the current icedove(eglibc, testing, sid,
whatever..) and I think both are related to this icedove issue.

As I already described in other bug ids (what also other submitters have
done) icedove fails to start, where I tried it out with the safe mode,
moving away the whole .icedove folder, purging extensions and so on..

with LD_BIND_NOW=1 icedove starts, but it looks like extensions do not
work at all with it (enigmail and iceowl in this case).

Whyever I just changed from the location from my laptop to my
workstation this day (both systems are amd64 with an up-to-date sid,
same extensions and ~/.icedove is synced between both PCs) I could
started for ONE time icedove without prefixing LD_BIND_NOW and the
extensions worked \o/

But then I wanted to get too much information and with the second try to
start icedove I had to pass LD_BIND_NOW again => extensions didn't
worked again..

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/




Message sent on to Jonathan Nieder <jrnieder@gmail.com>:
Bug#617759. (Wed, 01 Jun 2011 10:09:28 GMT) Full text and rfc822 format available.

Message #239 received at 617759-submitter@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: pmatthaei@debian.org, 617759-submitter@bugs.debian.org
Subject: Re: Bug#627341: iceowl/enigmail does not work with icedove/eglibc
Date: Tue, 31 May 2011 22:17:24 +0200
On Mon, May 30, 2011 at 08:07:33PM +0200, Patrick Matthäi wrote:
> Hello dudes,
> 
> I already reported in 627340 and 627341, that the enigmail and iceowl
> extensions do not work with the current icedove(eglibc, testing, sid,
> whatever..) and I think both are related to this icedove issue.
> 
> As I already described in other bug ids (what also other submitters have
> done) icedove fails to start, where I tried it out with the safe mode,
> moving away the whole .icedove folder, purging extensions and so on..
> 
> with LD_BIND_NOW=1 icedove starts, but it looks like extensions do not
> work at all with it (enigmail and iceowl in this case).
> 
> Whyever I just changed from the location from my laptop to my
> workstation this day (both systems are amd64 with an up-to-date sid,
> same extensions and ~/.icedove is synced between both PCs) I could
> started for ONE time icedove without prefixing LD_BIND_NOW and the
> extensions worked \o/

Jonathan first reported this with 3.1.9. Could one of you affected by
this problem check if this also happens with 3.1.7? E.g. from

	http://snapshot.debian.org/package/icedove/3.1.7-1/

I think it should fail too but I'd be great to be sure.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Wed, 01 Jun 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Wed, 01 Jun 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #244 received at 617759@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: pmatthaei@debian.org, 617759@bugs.debian.org
Subject: Re: Re: Bug#627341: iceowl/enigmail does not work with icedove/eglibc
Date: Wed, 01 Jun 2011 23:10:47 +0530
On 01/-9/-28163 01:29 AM, Guido Günther wrote:
> Jonathan first reported this with 3.1.9. Could one of you affected by
> this problem check if this also happens with 3.1.7? E.g. from
> 
> 	http://snapshot.debian.org/package/icedove/3.1.7-1/
> 
> I think it should fail too but I'd be great to be sure.

Still the same problem.

23:05:37 rrs@champaran:/tmp$ icedove
/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

23:05:42 rrs@champaran:/tmp$ icedove --version
 Icedove 3.1.7


-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Wed, 01 Jun 2011 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aleksi Suhonen <debian-reportbug-2011@ssd.axu.tm>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Wed, 01 Jun 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #249 received at 617759@bugs.debian.org (full text, mbox):

From: Aleksi Suhonen <debian-reportbug-2011@ssd.axu.tm>
To: 617759@bugs.debian.org
Subject: Bug#619897: Reproducible on sparc
Date: Wed, 01 Jun 2011 22:18:05 +0300
Hi,

I used icedove using the LD_BIND_NOW=1 trick for a couple of days and 
now suddenly I notice that it starts OK even without it. I have been 
updating packages from unstable/sid every day, but I haven't noticed any 
relevant package being upgraded, so I suspect there's something else at 
play here ...

-- 
        Aleksi Suhonen / Axu TM Oy
        Internetworking Consulting
        Cellular: +358 45 670 2048
        World Wide Web: www.axu.tm




Message sent on to Jonathan Nieder <jrnieder@gmail.com>:
Bug#617759. (Fri, 03 Jun 2011 16:48:11 GMT) Full text and rfc822 format available.

Message #252 received at 617759-submitter@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 617759-submitter@bugs.debian.org, debian-reportbug-2011@ssd.axu.tm, rrs@debian.org
Subject: Re: Re: Bug#627341: iceowl/enigmail does not work with icedove/eglibc
Date: Fri, 03 Jun 2011 18:47:18 +0200
No, it is still buggy:

me@gnu:~$ icedove ### worked before, but after uninstallaing all
                  ### extensions and restarting it does not work
/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
me@gnu:~$ LD_BIND_NOW=1 icedove  ### one time starting with bind_now
me@gnu:~$ icedove                ### now it works without
me@gnu:~$ icedove                ### installed again the extensions
/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
me@gnu:~$ LD_BIND_NOW=1 icedove  ### bind_now again needed
Registering Enigmail account manager extension.
Enigmail account manager extension registered.
-- Exception object --
+ message (string)
'Components.classes['@mozilla.org/calendar/datetime;1'] is undefined'
+ fileName (string) 'chrome://calendar/content/calUtils.js'
+ lineNumber (number) 75
+ stack (string) 759 chars
+ name (string) 'TypeError'
*
-- Stack Trace --
createDateTime()@chrome://calendar/content/calUtils.js:75
now()@chrome://calendar/content/calUtils.js:344
switchToView(null)@chrome://calendar/content/calendar-views.js:370
ltnSelectCalendarView(null)@chrome://lightning/content/messenger-overlay-sidebar.js:255
ltnShowCalendarView(null,(void
0))@chrome://lightning/content/messenger-overlay-sidebar.js:272
showCalendarView(null)@chrome://calendar/content/calendar-views.js:287
ltnSwitch2Calendar()@chrome://lightning/content/messenger-overlay-sidebar.js:452
([object Object],[object
Object])@chrome://lightning/content/messenger-overlay-sidebar.js:85
openTab("calendar",[object
Object])@chrome://messenger/content/tabmail.xml:542
oncommand([object
XULCommandEvent])@chrome://messenger/content/messenger.xul:1
me@gnu:~$ icedove                  ############ now not needed anymore
-- Exception object --
+ message (string)
'Components.classes['@mozilla.org/calendar/datetime;1'] is undefined'
+ fileName (string) 'chrome://calendar/content/calUtils.js'
+ lineNumber (number) 75
+ stack (string) 1013 chars
+ name (string) 'TypeError'
*
-- Stack Trace --


createDateTime()@chrome://calendar/content/calUtils.js:75


now()@chrome://calendar/content/calUtils.js:344


switchToView(null)@chrome://calendar/content/calendar-views.js:370


ltnSelectCalendarView(null)@chrome://lightning/content/messenger-overlay-sidebar.js:255
ltnShowCalendarView(null,(void
0))@chrome://lightning/content/messenger-overlay-sidebar.js:272
showCalendarView(null)@chrome://calendar/content/calendar-views.js:287
ltnSwitch2Calendar()@chrome://lightning/content/messenger-overlay-sidebar.js:452
([object Object],[object
Object])@chrome://lightning/content/messenger-overlay-sidebar.js:85
openTab("calendar",[object
Object])@chrome://messenger/content/tabmail.xml:542
([object XULElement],[object
Object])@chrome://lightning/content/messenger-overlay-sidebar.js:112
restoreTabs([object
Object],false)@chrome://messenger/content/tabmail.xml:810
atStartupRestoreTabs(false)@chrome://messenger/content/msgMail3PaneWindow.js:598
loadStartFolder("",35)@chrome://messenger/content/msgMail3PaneWindow.js:638
me@gnu:~$



So it is every time needed, if you change anything with your extensions,
but okay, the extensions (enigmail and iceowl here) do not work..


-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 20 Jun 2011 11:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 20 Jun 2011 11:03:15 GMT) Full text and rfc822 format available.

Message #257 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 617759@bugs.debian.org
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 20 Jun 2011 13:01:16 +0200
On Tue, May 03, 2011 at 03:46:39PM -0500, Jonathan Nieder wrote:
> Aurelien Jarno wrote:
> 
> > Given I am out of idea, I probably ask stupid questions... Could you 
> > please dump your /proc/cpuinfo ?
> 
> No problem; thanks for working on this.  In the meantime I am installing
> sid (slowly) in a vm.
> 

Have you been able to reproduce the issue in a VM? If yes, could you
please share it? I am still unable to reproduce it.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 20 Jun 2011 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 20 Jun 2011 11:21:03 GMT) Full text and rfc822 format available.

Message #262 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 617759@bugs.debian.org
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 20 Jun 2011 06:19:33 -0500
found 617759 eglibc/2.13-7
quit

Aurelien Jarno wrote:

> Have you been able to reproduce the issue in a VM? If yes, could you
> please share it? I am still unable to reproduce it.

Alas, no, I still haven't reproduced it in a VM.  My laptop with
Debian libc6 2.13-7 and icedove 3.1.10-2 still reproduces it:

| $ icedove
| /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

I suspect it's timing sensitive, which might explain why I could
reproduce it on real hardware but not a vm.  For example:

| $ LD_DEBUG=unused icedove
|      29640:	/usr/lib/icedove/icedove-bin: error: symbol lookup error: undefined symbol: nspr_use_zone_allocator (fatal)
|      29640:	/usr/lib/icedove/icedove-bin: error: symbol lookup error: undefined symbol: gtk_widget_device_is_shadowed (fatal)
|      29640:	/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: error: symbol lookup error: undefined symbol: g_module_unload (fatal)
|      29640:	/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: error: symbol lookup error: undefined symbol: gtk_widget_device_is_shadowed (fatal)
|      29640:	/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: error: symbol lookup error: undefined symbol: gtk_module_display_init (fatal)
|      29640:	/usr/lib/icedove/components/libdbusservice.so: error: symbol lookup error: undefined symbol: NS_Alloc (fatal)
| /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

I'm going to sleep soon; tomorrow I'll try reproducing with eglibc +
Debian patches again.  If you have any crazy ideas for things to try
(e.g., what to printf), I'll do what I can.  I suspect the backtrace I
sent before would be a good place to start for someone familiar with
XPCOM.

Sorry to leave this hanging for so long.
Jonathan




Bug Marked as found in versions eglibc/2.13-7. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Jun 2011 11:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 27 Jun 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tscharner <andy@vis.ethz.ch>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 27 Jun 2011 17:45:04 GMT) Full text and rfc822 format available.

Message #269 received at 617759@bugs.debian.org (full text, mbox):

From: Andreas Tscharner <andy@vis.ethz.ch>
To: Debian Bug Tracking System <617759@bugs.debian.org>
Subject: Re: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 27 Jun 2011 19:33:26 +0200
Package: icedove
Version: 3.1.11-1
Followup-For: Bug #617759

I still have this bug with icedove 3.1.11-1, and this is a i386
architecture. It works with

LD_BIND_NOW=1 icedove -safe-mode

but that's the only way (I haven't tried to fresh install though).

Any news on that item (I actually needed the calendar...)?

TIA and best regards
	Andreas

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.39 (SMP w/2 CPU cores)
Locale: LANG=de_CH.utf8, LC_CTYPE=de_CH.utf8 (charmap=UTF-8) (ignored: LC_ALL set to de_CH.utf8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedove depends on:
ii  debianutils             4.0.2            Miscellaneous utilities specific t
ii  fontconfig              2.8.0-2.2        generic font configuration library
ii  libasound2              1.0.23-4         shared library for ALSA applicatio
ii  libatk1.0-0             2.0.1-1          ATK accessibility toolkit
ii  libc6                   2.13-7           Embedded GNU C Library: Shared lib
ii  libcairo2               1.10.2-6         The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.4.12-2         simple interprocess messaging syst
ii  libffi5                 3.0.9-7          Foreign Function Interface library
ii  libfontconfig1          2.8.0-2.2        generic font configuration library
ii  libfreetype6            2.4.4-2          FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.6.0-14       GCC support library
ii  libgdk-pixbuf2.0-0      2.23.3-3         GDK Pixbuf library
ii  libglib2.0-0            2.28.6-1         The GLib library of C routines
ii  libgtk2.0-0             2.24.4-3         The GTK+ graphical user interface 
ii  libhunspell-1.2-0       1.2.14-4         spell checker and morphological an
ii  libjpeg62               6b1-1            The Independent JPEG Group's JPEG 
ii  libnspr4-0d             4.8.8-2          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.10-1        Network Security Service libraries
ii  libpango1.0-0           1.28.4-1         Layout and rendering of internatio
ii  libpixman-1-0           0.21.8-1         pixel-manipulation library for X a
ii  libpng12-0              1.2.44-2         PNG library - runtime
ii  libsqlite3-0            3.7.7-1          SQLite 3 shared library
ii  libstartup-notification 0.12-1           library for program launch feedbac
ii  libstdc++6              4.6.0-14         GNU Standard C++ Library v3
ii  libx11-6                2:1.4.3-2        X11 client-side library
ii  libxrender1             1:0.9.6-2        X Rendering Extension client libra
ii  libxt6                  1:1.1.1-2        X11 toolkit intrinsics library
ii  psmisc                  22.14-1          utilities that use the proc file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages icedove recommends:
ii  myspell-de-ch [myspell-dictio 20110609-1 Swiss (German) dictionary for mysp

Versions of packages icedove suggests:
ii  libdbus-glib-1-2            0.94-2       simple interprocess messaging syst
ii  libgconf2-4                 2.32.4-1     GNOME configuration database syste
pn  libgnomevfs2-0              <none>       (no description available)
ii  libgssapi-krb5-2            1.9.1+dfsg-1 MIT Kerberos runtime libraries - k
ii  libnotify1 [libnotify1-gtk2 0.5.0-2      sends desktop notifications to a n
ii  ttf-lyx                     2.0.0-1      TrueType versions of some TeX font

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 27 Jun 2011 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 27 Jun 2011 18:24:03 GMT) Full text and rfc822 format available.

Message #274 received at 617759@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Andreas Tscharner <andy@vis.ethz.ch>, 617759@bugs.debian.org
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Mon, 27 Jun 2011 20:20:03 +0200
On Mon, Jun 27, 2011 at 07:33:26PM +0200, Andreas Tscharner wrote:
> Package: icedove
> Version: 3.1.11-1
> Followup-For: Bug #617759
> 
> I still have this bug with icedove 3.1.11-1, and this is a i386
> architecture. It works with
> 
> LD_BIND_NOW=1 icedove -safe-mode
> 
> but that's the only way (I haven't tried to fresh install though).
> 
> Any news on that item (I actually needed the calendar...)?
> 

It will be fixed when I am able to reproduce the issue, which is not the
case right now... It works perfectly on my system.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Wed, 29 Jun 2011 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willi Neudeck <nwilli@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Wed, 29 Jun 2011 21:15:04 GMT) Full text and rfc822 format available.

Message #279 received at 617759@bugs.debian.org (full text, mbox):

From: Willi Neudeck <nwilli@gmx.de>
To: 617759@bugs.debian.org
Subject: Re: Bug#617759: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Wed, 29 Jun 2011 23:10:35 +0200
[Message part 1 (text/plain, inline)]
Hello,

On my testing/unstable syxtem, I also experience this bug. As reported
in the messages #198 and #236, icedove does work with LD_BIND_NOW=1 but
extensions do not work when this environment variable is set.

I believe, that I have found a better workaround: If icedove is started
like this

LD_PRELOAD=/usr/lib/icedove/components/libdbusservice.so
LD_LIBRARY_PATH=/usr/lib/icedove

it seems that both icedove *and* the extensions work very well.

Kind regards,
Willi Neudeck

-- 
When we say we are a pile of atoms, we do not mean we are merely
a pile of atoms, because a pile of atoms which is not repeated from
one to the other might well have the possibilities which you see
before you in the mirror.  (Richard P. Feynman)

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Mon, 18 Jul 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Mon, 18 Jul 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #284 received at 617759@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 617759@bugs.debian.org
Subject: New variant
Date: Mon, 18 Jul 2011 13:36:13 -0400
I had a new variant of this bug today:
/usr/lib/icedove/icedove-bin: symbol lookup error: 
/usr/lib/icedove/components/libmailcomps.so: undefined symbol: 
NS_CStringContainerInit

LD_BIND_NOW still fixed, but now I have to issue it every time. I have 
no idea what triggered the problem.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Fri, 12 Aug 2011 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Fri, 12 Aug 2011 08:03:04 GMT) Full text and rfc822 format available.

Message #289 received at 617759@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@labri.fr>
To: 617759@bugs.debian.org
Subject: icedove: New variant (again)
Date: Fri, 12 Aug 2011 09:54:20 +0200
Package: icedove
Version: 3.1.11-1
Followup-For: Bug #617759

Hi,

It happened again on both of my computers (my laptop and my desktop).

Each time I try to run icedove I get:

/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libmailcomps.so: undefined symbol:
NS_CStringContainerInit


But, the definition of the symbol seems to be missing for real:

$ readelf -a /usr/lib/icedove/components/libmailcomps.so | grep
NS_CStringContainerInit

 29: 00000000     0 FUNC    GLOBAL DEFAULT  UND NS_CStringContainerInit
 75: 00000000     0 FUNC    GLOBAL DEFAULT  UND NS_CStringContainerInit2

Any clue ?

PS: Both of my computers have a i686 architecture.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.1 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages icedove depends on:
ii  debianutils             4.0.2            Miscellaneous utilities
specific t
ii  fontconfig              2.8.0-3          generic font configuration
library
ii  libasound2              1.0.24.1-3       shared library for ALSA
applicatio
ii  libatk1.0-0             2.0.1-2          ATK accessibility toolkit
ii  libc6                   2.13-16          Embedded GNU C Library:
Shared lib
ii  libcairo2               1.10.2-6.1       The Cairo 2D vector
graphics libra
ii  libdbus-1-3             1.4.14-1         simple interprocess
messaging syst
ii  libffi5                 3.0.9-7          Foreign Function Interface
library
ii  libfontconfig1          2.8.0-3          generic font configuration
library
ii  libfreetype6            2.4.6-1          FreeType 2 font engine,
shared lib
ii  libgcc1                 1:4.6.1-6        GCC support library
ii  libgdk-pixbuf2.0-0      2.23.5-3         GDK Pixbuf library
ii  libglib2.0-0            2.28.6-1         The GLib library of C routines
ii  libgtk2.0-0             2.24.5-4         GTK+ graphical user
interface libr
ii  libhunspell-1.2-0       1.2.14-4         spell checker and
morphological an
ii  libjpeg62               6b1-2            Independent JPEG Group's
JPEG runt
ii  libnspr4-0d             4.8.8-2          NetScape Portable Runtime
Library
ii  libnss3-1d              3.12.10-3        Network Security Service
libraries
ii  libpango1.0-0           1.28.4-2         Layout and rendering of
internatio
ii  libpixman-1-0           0.22.2-1         pixel-manipulation library
for X a
ii  libpng12-0              1.2.46-3         PNG library - runtime
ii  libsqlite3-0            3.7.7-2          SQLite 3 shared library
ii  libstartup-notification 0.12-1           library for program launch
feedbac
ii  libstdc++6              4.6.1-6          GNU Standard C++ Library v3
ii  libx11-6                2:1.4.4-1        X11 client-side library
ii  libxrender1             1:0.9.6-2        X Rendering Extension
client libra
ii  libxt6                  1:1.1.1-2        X11 toolkit intrinsics library
ii  psmisc                  22.14-1          utilities that use the proc
file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages icedove recommends:
ii  myspell-en-us [myspell-dictio 1:3.3.0-3  English_american dictionary
for my
ii  myspell-fr-gut [myspell-dicti 1:1.0-30   French dictionary for
myspell (GUT

Versions of packages icedove suggests:
ii  libdbus-glib-1-2            0.94-4       simple interprocess
messaging syst
ii  libgconf2-4                 2.32.4-1     GNOME configuration
database syste
ii  libgnomevfs2-0              1:2.24.4-1   GNOME Virtual File System
(runtime
ii  libgssapi-krb5-2            1.9.1+dfsg-2 MIT Kerberos runtime
libraries - k
pn  libnotify1                  <none>       (no description available)
pn  libnotify1-gtk2.10          <none>       (no description available)
ii  ttf-lyx                     2.0.0-1      TrueType versions of some
TeX font

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>:
Bug#617759; Package libc6,icedove. (Fri, 12 Aug 2011 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, Alexander Sack <asac@debian.org>. (Fri, 12 Aug 2011 08:18:03 GMT) Full text and rfc822 format available.

Message #294 received at 617759@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@labri.fr>
To: 617759@bugs.debian.org
Subject: Re: icedove: New variant (again)
Date: Fri, 12 Aug 2011 10:15:14 +0200
By the way,

The following line allow to run icedove afterward (but a few things are
missing such as the links to usual external software):

$> export LD_PRELOAD=/usr/lib/icedove/components/libmailcomps.so
$> export LD_LIBRARY_PATH=/usr/lib/icedove
$> icedove

Regards
-- 
Emmanuel Fleury

Maître de conférence,        | Bureau: 261
LaBRI, Domaine Universitaire | Tél: +33 (0)5 40 00 69 34
351, Cours de la Libération  | Mél: emmanuel.fleury@labri.fr
33405 Talence Cedex, France  | Web: http://www.labri.fr/~fleury




Bug reassigned from package 'libc6,icedove' to 'libc6'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions icedove/3.1.9-1, eglibc/2.13-0exp5, eglibc/2.13-7, icedove/3.1.11-1, icedove/3.0.11-1+squeeze1, icedove/3.1.9-2, icedove/3.0.11-2, and icedove/3.1.10-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions eglibc/2.13-0exp5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions eglibc/2.13-7. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:08 GMT) Full text and rfc822 format available.

Added indication that bug 617759 blocks 637924 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:09 GMT) Full text and rfc822 format available.

Forcibly Merged 617759 638307. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:33:05 GMT) Full text and rfc822 format available.

Removed indication that bug 617759 blocks 637924 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Thu, 18 Aug 2011 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willian Gustavo Veiga <wiltave@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 18 Aug 2011 20:21:08 GMT) Full text and rfc822 format available.

Message #313 received at 617759@bugs.debian.org (full text, mbox):

From: Willian Gustavo Veiga <wiltave@gmail.com>
To: 617759@bugs.debian.org
Subject: Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc
Date: Thu, 18 Aug 2011 17:17:12 -0300
I can confirm what Emmanuel Fleury said. Using the lines above I can run 
Icedove.
Thank you.




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 23 Aug 2011 05:21:05 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Tue, 23 Aug 2011 05:21:05 GMT) Full text and rfc822 format available.

Message #318 received at 617759-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 617759-close@bugs.debian.org
Subject: Bug#617759: fixed in eglibc 2.13-17
Date: Tue, 23 Aug 2011 05:18:23 +0000
Source: eglibc
Source-Version: 2.13-17

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-17_all.deb
  to main/e/eglibc/eglibc-source_2.13-17_all.deb
eglibc_2.13-17.diff.gz
  to main/e/eglibc/eglibc_2.13-17.diff.gz
eglibc_2.13-17.dsc
  to main/e/eglibc/eglibc_2.13-17.dsc
glibc-doc_2.13-17_all.deb
  to main/e/eglibc/glibc-doc_2.13-17_all.deb
libc-bin_2.13-17_amd64.deb
  to main/e/eglibc/libc-bin_2.13-17_amd64.deb
libc-dev-bin_2.13-17_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-17_amd64.deb
libc6-dbg_2.13-17_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-17_amd64.deb
libc6-dev-i386_2.13-17_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-17_amd64.deb
libc6-dev_2.13-17_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-17_amd64.deb
libc6-i386_2.13-17_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-17_amd64.deb
libc6-pic_2.13-17_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-17_amd64.deb
libc6-prof_2.13-17_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-17_amd64.deb
libc6-udeb_2.13-17_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-17_amd64.udeb
libc6_2.13-17_amd64.deb
  to main/e/eglibc/libc6_2.13-17_amd64.deb
libnss-dns-udeb_2.13-17_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-17_amd64.udeb
libnss-files-udeb_2.13-17_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-17_amd64.udeb
locales-all_2.13-17_amd64.deb
  to main/e/eglibc/locales-all_2.13-17_amd64.deb
locales_2.13-17_all.deb
  to main/e/eglibc/locales_2.13-17_all.deb
multiarch-support_2.13-17_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-17_amd64.deb
nscd_2.13-17_amd64.deb
  to main/e/eglibc/nscd_2.13-17_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Aug 2011 21:51:07 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-17
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 537743 617759 632682 636694 637239 637767 638173
Changes: 
 eglibc (2.13-17) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Improve libc.NEWS to also include headers.
   * Add debian/patches/cvs-dlopen-tls.diff to fix handling of static TLS in
     dlopen'ed objects.  Closes: #637239.
   * Provide locales in locales-all as separated files instead of adding them
     to locale-archive. Use symlinks between identical files to limit the
     unpacked size.  Closes: #537743, #636694, #638173.
   * Compress libc*-dbg and locales-all to using xz.
   * Add patches/localedata/cvs-rupee.diff from upstream to add support for
     Rupee symbol (U20B9).
   * Add patches/sparc/cvs-rlimits.diff from upstream to fix issues with
     rlimits on sparc.  Closes: #637767.
   * Add patches/amd64/cvs-pthread-stack-alignment.diff from upstream to fix
     stack alignment issues on amd64.
   * Add patches/s390/cvs-vsyscalls.diff from upstream to fix wrong register
     usage in the INTERNAL_VSYSCALL_NCS macro.
   * Add patches/arm/cvs-clone-cantunwind.diff from upstream to fix unwinding
     issues with openjdk on armhf.
   * Add patches arm/cvs-align-constant-pool.diff from upstream to fix
     alignement issues on armhf.
   * debian/control.in/libc: add Breaks: lsb-core (<= 3.2-27) to make sure the
     lsb symlink is still valid.
   * Remove patches/any/cvs-dl-missing-deps.diff, the original problem has
     been solved through other ways, so it is not needed any more. Fixes
     symbols resolution with issues with icedove/iceweasel/iceape.  Closes:
     #617759.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-ioctl-unsigned-size_t.diff: Add
     u?int{8,16,32,64} ioctl types.
   * debian/patches/hurd-i386/submitted-init-first.diff: Fix stack switching
     compilation with newer gcc.
 .
   [ Steve Langasek ]
   * Install ld*.so to RTLDDIR (/lib64 or /lib), as appropriate, and convert
     /lib64 from a symlink to a directory on upgrade (with appropriate
     downgrade and error-unwind handling), so that multiarch and biarch
     packages will play nicely together on the filesystem..  Thanks to
     Sven Joachim <svenjoac@gmx.de> for preliminary patches.  Closes: #632682.
   * Restore multiarch support on all architectures.
   * Bump the multiarch-support minimum dependency for armhf, which settled
     its triplet only at the time i386 did.
 .
   [ Petr Salinger ]
   * kfreebsd/local-sysdeps.diff: update to revision 3689 (from glibc-bsd).
Checksums-Sha1: 
 c4a1d8992d9e385a8e44e76c7ea58fb8ab961d31 2637 eglibc_2.13-17.dsc
 2db91f7ff108357cf1ed8a7088389c953940ac16 930177 eglibc_2.13-17.diff.gz
 451c6abbcc470003128f4d935b0cc1f18974b305 1886882 glibc-doc_2.13-17_all.deb
 df799f1242bedf8477e95e1d36df1974cb2de4d1 12221666 eglibc-source_2.13-17_all.deb
 e0ecaca8fe7321b394c1a6bc220e42a1bdcc1542 4857284 locales_2.13-17_all.deb
 556162bb516245e4427e3cfa7e6f35a4c0a1b587 4323692 libc6_2.13-17_amd64.deb
 4267c57ec96ad6a8fcfc8e708fe61e56b1f4f638 2636686 libc6-dev_2.13-17_amd64.deb
 685cf8c3c9e4706874d4b2f11048f83854119a6c 2077956 libc6-prof_2.13-17_amd64.deb
 3c8b0d3b48396b4786d4685d59499e406ac69f17 1584092 libc6-pic_2.13-17_amd64.deb
 4c4f96eac93c355283210f9371711348f102bf08 1085010 libc-bin_2.13-17_amd64.deb
 7a6a44e548938fad307086798a92bdd72d896ab3 216680 libc-dev-bin_2.13-17_amd64.deb
 be3b4b1b98b7d7a269b15cc287eb8d16f88ecc47 3273952 locales-all_2.13-17_amd64.deb
 3b5ddf303779b2bb0786e65c026a140346b90166 140478 multiarch-support_2.13-17_amd64.deb
 553c47da473c4cf04df7d6c563c83a420b34785a 3845754 libc6-i386_2.13-17_amd64.deb
 00e7f40df13dd8110d8fd8a06edb5ce158be08bb 1561580 libc6-dev-i386_2.13-17_amd64.deb
 1f9d8b2a3c68ca43a88d86244c9a123d69709b9f 203798 nscd_2.13-17_amd64.deb
 45dc4d7137efe2f67b90d027ddf712a96dcba18a 5685714 libc6-dbg_2.13-17_amd64.deb
 270a724ea0c5262e80ce6cedee7047d2d7c244ab 1179704 libc6-udeb_2.13-17_amd64.udeb
 fa42d6da5b18caa1bfed046cf0babf034c4bb00e 11144 libnss-dns-udeb_2.13-17_amd64.udeb
 75698b85d1d38d7805f9d156cc628c2cf219c7f9 19318 libnss-files-udeb_2.13-17_amd64.udeb
Checksums-Sha256: 
 08d82a115eae9a77e5dd0b454e0a246503294868271251fb1735c67ff90a42d1 2637 eglibc_2.13-17.dsc
 1e1ba3af4267b67cc9f476f3431e134da68dc0ae0170684112be5817a3bceb7c 930177 eglibc_2.13-17.diff.gz
 c0cd43e0d13ec95607d0fc41d0e02d6c8714fa1d9e5d1510b03b7afe036ac872 1886882 glibc-doc_2.13-17_all.deb
 629c8ca8aa40777355ad8d0df183c631ee97cb9da842a2cfd286890c3f7c2c04 12221666 eglibc-source_2.13-17_all.deb
 ea910bbace6e8a6c28f1e92b5d1a4e64c16f7101d5e6770aa269a3257828f8fa 4857284 locales_2.13-17_all.deb
 b2629d4d4f834eac9ef282754e1b93e6c5d2749d9fc49f001fe6f89140928875 4323692 libc6_2.13-17_amd64.deb
 0fcffd1b0ac020a1f51452f7aa646cc3e8151aba3fa9971f4924c376a1d0d24d 2636686 libc6-dev_2.13-17_amd64.deb
 ad35ff902edb17f12ae01f79252dce836da97e8672a9c1bd775bce094a227fcc 2077956 libc6-prof_2.13-17_amd64.deb
 54b164b0ed896cf593bf794f4a4eb9b55d346a63b510291f909165df1244343f 1584092 libc6-pic_2.13-17_amd64.deb
 da6ce577f7f3d8d290b47de1c7290deccfb322e7c4a0dc993a4b3905818c870a 1085010 libc-bin_2.13-17_amd64.deb
 b0b0419a0f421bb74c7231b96f240f4109796c596792214b2f6193024c60b495 216680 libc-dev-bin_2.13-17_amd64.deb
 80bf72ed28f83767bb9c6dcb998114e97162e88a4becf874f289327c9915ae1e 3273952 locales-all_2.13-17_amd64.deb
 2b803f896a5a9db62310e4d7142b19a8f2e1e4647c0a60afad8fd5612f09fa68 140478 multiarch-support_2.13-17_amd64.deb
 3c4b93843a015ad0c0ae923629f649b3473da56e07c0c9dcf458e4ae93de3a8b 3845754 libc6-i386_2.13-17_amd64.deb
 80f18cef14451e36fc895d1c607f15b911a824ecd320e8ddfe98b52b854ea7a8 1561580 libc6-dev-i386_2.13-17_amd64.deb
 c3e93de0863115091afeeebc8c708425afa56e2ec4b7b45deed7e7cb82e886d1 203798 nscd_2.13-17_amd64.deb
 4934685aab6c9642e15119ee813353d4024bc5d3de91793029b73b48990261cd 5685714 libc6-dbg_2.13-17_amd64.deb
 61254f98f632d4cbf63535285103cec23733a367f25c02e97658b4ea070859ae 1179704 libc6-udeb_2.13-17_amd64.udeb
 907170bca35c4bafbff0b09cc7d7e65e697862a30146ce4a19ade721361d2c5f 11144 libnss-dns-udeb_2.13-17_amd64.udeb
 da12b514afce054c70e2cbbc0a328fe6d369efd3a2ab3b567e758e7b459fa254 19318 libnss-files-udeb_2.13-17_amd64.udeb
Files: 
 256b7845041050bf616bae3f217ff2df 2637 libs required eglibc_2.13-17.dsc
 b3420807e5f9f6bd909f514191477048 930177 libs required eglibc_2.13-17.diff.gz
 36331a70d3e98eb1604632ccf702a677 1886882 doc optional glibc-doc_2.13-17_all.deb
 65a2bfdc8d21eef7af3db4f911a6ef0f 12221666 devel optional eglibc-source_2.13-17_all.deb
 7053b6a953fadae6ec4febf9c02c571d 4857284 localization standard locales_2.13-17_all.deb
 1e364b076f9f8fee01beb8a74788e61f 4323692 libs required libc6_2.13-17_amd64.deb
 334f299f9c835643f38549e99ff3227f 2636686 libdevel optional libc6-dev_2.13-17_amd64.deb
 c542c42dba51cc0bc5c4a8b2a70cf936 2077956 libdevel extra libc6-prof_2.13-17_amd64.deb
 ab48be1ace945c53e1ea3b1f87224338 1584092 libdevel optional libc6-pic_2.13-17_amd64.deb
 ddb862660d9eeb4b3ce5700e858c80ea 1085010 libs required libc-bin_2.13-17_amd64.deb
 6ec273eb9424e5b85ae1e8159efb12eb 216680 libdevel optional libc-dev-bin_2.13-17_amd64.deb
 eefb90caefad51ccb3066a2f957887fe 3273952 localization extra locales-all_2.13-17_amd64.deb
 15807ec10ca9b2af29be86c46fc2289b 140478 libs standard multiarch-support_2.13-17_amd64.deb
 203673141ce646ec3d05b40cffe1cddd 3845754 libs optional libc6-i386_2.13-17_amd64.deb
 b61fc0e31bf13c8770fda33aad598905 1561580 libdevel optional libc6-dev-i386_2.13-17_amd64.deb
 9a914a3fb18630924f83d4d3dd406fdc 203798 admin optional nscd_2.13-17_amd64.deb
 2e72c06006c5a97622df800f7aac5aca 5685714 debug extra libc6-dbg_2.13-17_amd64.deb
 835b23efad2d98950195e6697ae4867a 1179704 debian-installer extra libc6-udeb_2.13-17_amd64.udeb
 4d4a65dc15ae67c82e66cf915adaaf88 11144 debian-installer extra libnss-dns-udeb_2.13-17_amd64.udeb
 b356020210086a767b771c4ccbcf6c91 19318 debian-installer extra libnss-files-udeb_2.13-17_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOUy5Uw3ao2vG823MRAp8xAJwIRspeFnn59ddd3dHKQqj9v8zIpwCeIyvq
l3kceuwoyABjZIudYge1RRM=
=+vUx
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 23 Aug 2011 05:21:06 GMT) Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. (Tue, 23 Aug 2011 05:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#617759; Package libc6. (Tue, 23 Aug 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 23 Aug 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #328 received at 617759@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 617759@bugs.debian.org
Subject: Thank you (Re: icedove: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc)
Date: Tue, 23 Aug 2011 00:57:59 -0500
Aurelien Jarno wrote:

>      Fixes
>      symbols resolution with issues with icedove/iceweasel/iceape.  Closes:
>      #617759.

Yes, it works!  (Confirmed the bug again with icedove 3.1.12-1, then
upgraded and the bug went away.)  Thanks, Aurelien.




Forcibly Merged 617759 626076 637359 637960 638023 638065 638307 638892 639457 639746 639852 640388 641831. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 16 Sep 2011 15:36:54 GMT) Full text and rfc822 format available.

Removed tag(s) wheezy and moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 16 Sep 2011 16:40:25 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Nov 2011 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:29:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.